#Example_2182  Fit a cylindrical polar mesh to femur head scan data.                                                                
                                                                                                                                    
#Radial bicubic field is fitted and the geometry is converted to an equivalent                                                      
#rectangular cartesian mesh. All three fields are converted to  bicubic                                                             
#Hermite with arc length scaling and the geometry can be rotated,translated etc.                                                    
                                                                                                                                    
fe de coo;r;femur_head  #3d cylindrical polar unsymmetric                                                                           
fe de bas;r;femur_head1 #1: Bicubic Hermite angle change scale f.                                                                   
                        #2: Bilinear Lagrange                                                                                       
fe de nod;r;femur_head  #80 node femur head cylindrical polar mesh                                                                  
fe de ele;r             #72 element femur head cylindrical polar mesh                                                               
fe de win;c                                                                                                                         
fe de data;r            #femur head scan data                                                                                       
fe de li;c                                                                                                                          
fe de data;c xi                                                                                                                     
fe change da weight 0.01 in 1..8                                                                                                    
fe change da weight 0.01 in 50,54,55,56                                                                                             
fe de fiel;r            #80 node femur head field                                                                                   
fe de fit;r geom        #all nodes uncoupled and unconstrained, no smoothing                                                        
fe fit                                                                                                                              
fem up node in 1        #overwrite radial coordinate field                                                                          
                                                                                                                                    
fem de bas;r;femur_head2    #bicubic Herm angle change for r,theta,z                                                                
fe de li;c                  #to update NPL, etc                                                                                     
fem update node deriv in 2  #calculates theta derivs based on linear change                                                         
fem update node deriv in 3  #calculates z derivs based on linear change                                                             
fem update node deriv       #recalculate derivs of r,theta,z wrt arc length                                                         
fem de bas;r;femur_head3    #to bicubic Herm ARC LENGTH for r,theta,z                                                               
fem de li;c                 #seems to be necessary                                                                                  
fem change coor to 1        #change to rect. cart.                                                                                  
                                                                                                                                    
##fem change node rotate by 90,0,0                                                                                                  
fem quit                                                                                                                            
