#Example 2192 Adjust H00 mesh to match RV endocardial data                                                                          
                                                                                                                                    
fem assign;p HEART               #type in the heart number you want to work                                                         
#                                 with (02 in this example)                                                                         
fem define coordinates;r;h00;example #reads coordinate system definitions from                                                          
#                                 file for standard prolate spheroid                                                                
#                                 h00.ipcoor in directory [.DOC]                                                                    
fem define base;r;h00_ep_sfcalc;example                                                                                                 
#                                !reads basis function definitions from                                                             
#                                 h00_ep_sfcalc.ipbase                                                                              
fem define elements;r;h00_rs;example #reads element definitions                                                                         
fem define nodes;r;h00_rs;example    #reads node definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:03 NZT 2000
# Old command: fem define data;r;H//HEART//_rs;example geometry                                                                                        
fem define data;r;HHEART_rs;example geometry

#                                !reads geometric data file H02_rs.ipdata;                                                          
#                                 focal length for this geometry is displayed                                                       
fem assign;p FOCUS               #you will be prompted to enter the focal                                                           
#                                 length                                                                                            
fem change focus FOCUS           # standard focus is now overwritten with new                                                       
#                                 value                                                                                             
fem define window;c on 4         #calculate window size                                                                             
fem define map hammer            #opens window (4) for hammer projection                                                            
fem draw line on 4               #draws the H00 mesh in window 4                                                                    
fem draw data on 4               #plots data on window 4.  Click somewhere in                                                       
#                                 this window to bring it to the front                                                              
fem draw node on 4               #show node numbers on window 4.  See figure                                                        
#                                 Heart 02 Data -RV SW En                                                                           
fem change node;m on 4           #move nodes 15,17,18,20,22,23,24,25,27 to                                                          
#                                 move mesh lines closer to RV EN SW data                                                           
#                                 boundaries.  Make mu constant for nodes                                                           
#                                 20,22,33 and 24,25,27 if possible and space                                                       
#                                 the middle nodes -18,23,24 evenly between                                                         
#                                 adjacent nodes (in theta).  Move the mouse                                                        
#                                 to highlight a node, click LH button to                                                           
#                                 select, click again in new position.  Click                                                       
#                                 middle button to exit.                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:03 NZT 2000
# Old command: fem define nodes;w;h00_rs_//HEART                                                                                                   
fem define nodes;w;h00_rs_HEART

#                                !writes new nodal parameters to new file                                                           
#                                 (h00_rs_02).  You may wish to round off the                                                       
#                                 values for mu and theta by opening another                                                        
#                                 window and editing the file                                                                       
#                                 h00_rs_xx.ipnode (ie h00_rs_02.ipnode for                                                         
#                                 heart 02) which has just been written. When                                                       
#                                 you press "Return" this file will be read                                                         
#                                 in again and the mesh updates for you to                                                          
#                                 check.                                                                                            
fem assign;p return                                                                                                                 

# Command updated by fixcom.sh on Wed Aug 23 17:48:03 NZT 2000
# Old command: fem define nodes;r;h00_rs_//HEART                                                                                                   
fem define nodes;r;h00_rs_HEART

#                                !reads edited node definitions                                                                     
fem update mesh                  #redraws the mesh with edited nodal parameters                                                     
fem quit                                                                                                                            
