#Example 2193 Adjust H00 mesh at base (node 14 only)                                                                                
#                                for RV EN FW data                                                                                  
#                                                                                                                                   
fem assign;p HEART               #type in the heart number you want to work                                                         
#                                 with (02 in this example)                                                                         
fem define coordinates;r;h00;example #reads coordinate system definitions from                                                          
#                                 file for standard prolate spheroid                                                                
#                                 h00.ipcoor in directory [.DOC]                                                                    
fem define base;r;h00_ep_sfcalc;example                                                                                                 
#                                !reads basis function definitions from                                                             
#                                 h00_ep_sfcalc.ipbase                                                                              
fem define elements;r;h00_rf;example #reads element definitions                                                                         
fem define nodes;r;h00_rf;example    #reads in node definitions                                                                         

# Command updated by fixcom.sh on Wed Aug 23 17:48:03 NZT 2000
# Old command: fem define data;r;H//HEART//_rf;example geometry                                                                                        
fem define data;r;HHEART_rf;example geometry

#                                !reads geometric data file H02_rf.ipdata                                                           
fem assign;p FOCUS               #you will be prompted to enter the focal                                                           
#                                 length                                                                                            
fem change focus FOCUS           #standard focus is now overwritten with new                                                        
#                                 value                                                                                             
fem define window;c on 4         #calculate window size                                                                             
fem define map hammer            #opens window (4) for hammer projection                                                            
fem draw line on 4               #draws the mesh in window 4                                                                        
fem draw data on 4               #plots data on window 4.  Click somewhere in                                                       
#                                 this window to bring it to the front                                                              
fem draw node on 4               #show node numbers on window 4.  See figure                                                        
#                                 Heart 02 Data RV FW En                                                                            
fem change node;m on 4           #move node 14 to make mesh lines closer to                                                         
#                                 data.  Make theta the same as for node 18                                                         

# Command updated by fixcom.sh on Wed Aug 23 17:48:03 NZT 2000
# Old command: fem define nodes;r;H00_rs_//HEART                                                                                                   
fem define nodes;r;H00_rs_HEART

#                                !read node data from file H00_rs_02.ipnode                                                         
fem update mesh                  #redraws element boundaries                                                                        

# Command updated by fixcom.sh on Wed Aug 23 17:48:03 NZT 2000
# Old command: fem define nodes;w;H00_rv_//HEART                                                                                                   
fem define nodes;w;H00_rv_HEART

#                                !write new node positions to file H00_rv_02                                                        
fem quit                                                                                                                            
