#Example 2197 Calculate xi coordinates for RV free wall endocardial data                                                            
                                                                                                                                    
fem assign;p HEART               #type in the heart number you wish to work                                                         
#                                 with (02 in this example)                                                                         
fem define coordinates;r;h00;example #reads coordinate system definitions from                                                          
#                                 file for standard prolate spheroid                                                                
fem define base;r;h00_ep_sfcalc;example                                                                                                 
#                                !reads basis function definitions                                                                  
fem define elements;r;h00_rf;example #reads element definitions                                                                         

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define nodes;r;H00_RV_//HEART                                                                                                   
fem define nodes;r;H00_RV_HEART

#                                !reads node definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define data;r;H//HEART//_rf;example geometry                                                                                        
fem define data;r;HHEART_rf;example geometry

#                                !reads geometric data                                                                              
fem assign;p FOCUS               #prompts you to enter the focal length                                                             
fem change focus FOCUS           #standard focus is overwritten with new                                                            
#                                 value                                                                                             
fem define lines;c               #calculates new line positions                                                                     
fem define window;c on 4                                                                                                            
fem define map hammer            #opens window (4) for hammer projection                                                            
fem draw node on 4               #shows node numbers on window 4                                                                    
fem draw line on 4               #draws mesh on window 4                                                                            
fem draw data on 4               #plots data on window 4                                                                            
fem define base;r;h00_ep_sfread;example                                                                                                 
#                                !reads basis function definitions                                                                  

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;w;h00_rf_//HEART #writes lines to a new file h00_rf_02                                                              
fem define line;w;h00_rf_HEART #writes lines to a new file h00_rf_02

fem define data;c xi             #calculats data xi coordinates with respect                                                        
#                                 to mesh                                                                                           

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define data;w;H//HEART//_rf xi                                                                                                  
fem define data;w;HHEART_rf xi

#                                !writes the xi values for each data point to                                                       
#                                 the file H02_rf.ipxi                                                                              
fem quit                                                                                                                            
