#Example 2198 Fit the RV endocardial geometry.                                                                                      
                                                                                                                                    
#Before running this *.com file you should create new node file:                                                                    
#H00_rv_ed**.ipnode from H00_rv_**.ipnode, adding epicardial                                                                        
#derivatives from H**_ep.ipnode for the RV border nodes as detailed below.                                                          
#Node     Derivative (0,1,2,3)  Epicardial node                                                                                     
# 15         1       3                   2                                                                                          
# 17         1       3                   4                                                                                          
# 20         1                           6                                                                                          
# 22         1  (2   3 occasionally * )  8                                                                                          
# 24             2                       9                                                                                          
# 25         1   2   3                  10                                                                                          
# 27         1   2   3                  12                                                                                          
#(* use H00_rv_assym1.ipfit for fit below)                                                                                          
                                                                                                                                    
fem assign;p HEART               #type in the heart number you wish to work                                                         
#                                 with (02 in this example)                                                                         
fem define coordinates;r;h00;example #reads coordinate system definitions from                                                          
#                                 file for standard prolate spheroid                                                                
fem define base;r;h00_ep_sfread;example                                                                                                 
#                                !reads basis function definitions                                                                  
fem define elements;r;h00_rv;example #reads element definitions                                                                         

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define nodes;r;H00_rv_ed//HEART                                                                                                 
fem define nodes;r;H00_rv_edHEART

#                                !reads node definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;r;h00_rs_//HEART #reads the line definitions from file                                                              
fem define line;r;h00_rs_HEART #reads the line definitions from file


# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;r;h00_rf_//HEART #reads the line definitions from file                                                              
fem define line;r;h00_rf_HEART #reads the line definitions from file


# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;w;h00_rv_//HEART #writes the line to a new file h00_rv_02                                                           
fem define line;w;h00_rv_HEART #writes the line to a new file h00_rv_02

fem define window;c on 4         #calculates window size                                                                            
fem define map hammer            #opens window (4) for hammer projection                                                            
fem draw node on 4               #shows node numbers on window 4                                                                    
fem draw line on 4               #draws mesh on window 4                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define data;r;H//HEART//_rf;example geometry                                                                                        
fem define data;r;HHEART_rf;example geometry

#                                !reads geometric data file H02_rf.ipdata                                                           

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define data;r;H//HEART//_rf xi                                                                                                  
fem define data;r;HHEART_rf xi

#                                !reads xi data file H02_rf.ipxi                                                                    

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define;add data;r;H//HEART//_rs;example geometry                                                                                    
fem define;add data;r;HHEART_rs;example geometry

#                                !adds geometric data read from file                                                                
#                                 H02_rs.ipdata                                                                                     

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define;add data;r;H//HEART//_rs xi                                                                                              
fem define;add data;r;HHEART_rs xi

#                                !adds xi data read from file H02_rs.ipxi                                                           
fem draw data on 4               #plots data on window 4                                                                            
fem define field;r;h00_rv;example    #defines basis field for fitted variable                                                           
fem define fit;r;h00_rv_assym;example geometry                                                                                          
#                                !specifies fit parameters                                                                          
fem fit geometry                 #fits the data                                                                                     
fem update node in 1             #updates the fitted parameters at nodes                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define node;w;H//HEART//_rv  #writes fitted nodal parameters to new file                                                        
fem define node;w;HHEART_rv #writes fitted nodal parameters to new file

#                                 H02_rv.ipnode                                                                                     
fem list data error              #lists the errors in the data of each                                                              
#                                 element in comparison with the fitted                                                             
#                                 geometry                                                                                          
fem define window;c on 1,2,3                                                                                                        
fem draw line on 1,2,3           #draws mesh on windows 1,2 and 3                                                                   
fem quit                                                                                                                            
