#Example 2199 Combine nodes from epicardium, LV endocardium and RV endocardium                                                      
                                                                                                                                    
fem assign;p HEART               #type in the heart number you wish to work                                                         
#                                 with (02 in this example)                                                                         
fem define coordinates;r;h00;example #reads coordinate system definitions from                                                          
#                                 file for standard prolate spheroid                                                                
fem define base;r;h00_my_sfread;example                                                                                                 
#                                !reads basis function definition                                                                   
fem define elements;r;h00_my;example #reads element definitions                                                                         

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define nodes;r;H//HEART//_ep #reads epicardial node definitions                                                                 
fem define nodes;r;HHEART_ep #reads epicardial node definitions


# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define nodes;r;H//HEART//_lv #reads LV node definitions                                                                         
fem define nodes;r;HHEART_lv #reads LV node definitions


# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define nodes;r;H//HEART//_rv #reads RV node definitions                                                                         
fem define nodes;r;HHEART_rv #reads RV node definitions

fem define nodes;r;h00_my;example interpolate                                                                                           

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;r;h00_ep_//HEART #reads ep line definitions                                                                         
fem define line;r;h00_ep_HEART #reads ep line definitions


# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;r;h00_lv_//HEART #reads lv line definitions                                                                         
fem define line;r;h00_lv_HEART #reads lv line definitions


# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;r;h00_rv_//HEART #reads rv line definitions                                                                         
fem define line;r;h00_rv_HEART #reads rv line definitions

fem define lines;c interpolate                                                                                                      
#                                !reads nodes to be created by interpolation                                                        
#                                 between existing nodes on surfaces and                                                            
#                                 defines their positions                                                                           

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;w;h00_my_//HEART #a warning will have been given about                                                              
fem define line;w;h00_my_HEART #a warning will have been given about

#                                 scaling factors around node 28.  Before                                                           
#                                 continuing you must create file                                                                   
#                                 h00_my_ed**.ipline from h00_my**.ipline by                                                        
#                                 calculating the missing scaling factors for                                                       
#                                 lines originating at node 28  (Interpolate                                                        
#                                 between the two adjacent lines.) Arcs 71                                                          
#                                 and 74 are the two needing updating (77,79                                                        
#                                 will be okay.)  Arc 71 scaling factor is                                                          
#                                 the same as arc 28 or 101.  Arc 74 scaling                                                        
#                                 factor is the same as arcs 31 or 103.                                                             
#                                 press return to read in deited file                                                               
fem assign;p return                                                                                                                 

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define line;r;h00_my_ed//HEART                                                                                                  
fem define line;r;h00_my_edHEART

#                                !reads edited line definitions                                                                     
fem define window;c on 1,2       #calculates window size                                                                            
fem draw lines;on 1,2          #draws mesh in windows 1 and 2                                                                     

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem define nodes;w;H//HEART//_my #writes fitted nodal parameters to new file                                                        
fem define nodes;w;HHEART_my #writes fitted nodal parameters to new file

#                                 H02_my.ipnode                                                                                     

# Command updated by fixcom.sh on Wed Aug 23 17:48:05 NZT 2000
# Old command: fem write h//HEART;iod           #write all arrays to an IOD file                                                                   
fem write hHEART;iod #write all arrays to an IOD file

fem quit                                                                                                                            
