#
fem                                     #change environment
fem define data;r;undeformed;example    #define data points for undeformed sample
fem list data                           #lists undeformed data
fem define window                       #define display window
fem draw data                           #draw undeformed data
fem define nodes;r;elements_6;example   
fem draw nodes
fem define base;r;elements_6;example    #reads values for basis function from file
fem de elements;r;elements_6;example    #define elements by selecting nodes from left
fem draw lines rgb=blue 
fem update scale normalise              #normalise nodal derivs & update scale factors
fem de fibre;d                          #define the fibre direction
fem de elements;r;elements_6;example fibre #define elements for fibres
fem define field;r;elements_6;example   #define 2 field variables for 6 elements
fem define element;r;example field      #define field elements
fem define xi;c contain                 #calculate xi location of initial mesh
fem draw data trace                     #draw xi locations on inital mesh 
fem list data                           #list data x,y and xi position

fem define fit;r;datafit;example geom         #linear fit with smoothing
fem define data;r;deformed;example deformed   #reads deformed data points from file

fem draw data                           #draw new data set (deformed) as + in graph
fem fit                                 #fit nodes (--> XI POINTS CLOSE TO DATA PTS)
fem list nodes                          #note field values have new nodal field values

fem define equation;r;datafit;example   #define finite elasticity problem 
fem update solution field 1,2
fem dr line deformed rgb=red
fem de no;w;deformed dep 1               #write deformed coords to deformed.ipnode

#fem list strain                         !strain calculated from xp and zp
#fem list strain;straindata data table reference !list strain calculation in 
#fem draw strain vectors data scale 0.05 !strain eigenvectors on the position of 

#fem update geometry from field          !this overwrites original mesh (strains now 0)
#fem draw data trace                     !draw xi positions on new mesh
#fem draw data projections               !data pts projected to new mesh
#fem list data;fiterrors errors full !list errors in fit into file "fiterrors"
