#PJH 30June1998
#Evaluate deformation of rubber membrane using 48 elements
#
fem                             #change environment
fem de data;r;rubber0;example   #define data points for undeformed sample
#fem list data                  #lists undeformed data
fem de window                   #define display window
fem dr data                     #draw undeformed data
refresh graphics

fem de nodes;r;mesh;example     #read 69 undeformed nodes
fem de base;r;mesh;example      #read basis functions (bilinear & simplex)
fem de elem;r;mesh;example      #read 48 elements
fem dr lines rgb=blue           #draw undeformed mesh
refresh graphics

fem de fibre;d                  #define fibre direction
fem de element;d fibre          #define elements for fibres
fem de field;r;mesh;example     #define 2 field variables 
fem de element;r;mesh;example field  #define field elements
fem de xi;c contain             #calculate xi location of initial mesh
#fem list data                  #list data x,y and xi position
fem draw data trace             #draw xi locations on inital mesh 
refresh graphics
#----------------------------------------------------------------------
fem de equation;r;mesh;example  #define finite elasticity problem 
fem de fit;r;mesh;example geom  #linear fit with smoothing
#----------------------------data set 5--------------------------------
fem de data;r;rubber5;example   #read deformed data points
fem draw data                   #draw new data set (deformed)
fem dr data projection          #data pts projected onto old mesh
refresh graphics
fem fit                         #fit nodes to data
fem update solution field 1,2   #put field values into solution arrays
fem dr line deformed rgb=red    #deformed mesh
fem de no;w;coord5 dep 1        #write deformed coords to coord5.ipnode
#----------------------------data set 9--------------------------------
fem de data;r;rubber9;example   #read another set of deformed data pts
fem draw data                   #draw new data set (deformed)
fem dr data projection          #data pts projected onto old mesh
refresh graphics
fem fit                         #fit nodes to data
fem update solution field 1,2   #put field values into solution arrays
fem dr line deformed rgb=red    #deformed mesh
fem de no;w;coord9 dep 1        #write deformed coords to coord9.ipnode
#----------------------------------------------------------------------
#fem list nodes                 #field vars have new nodal field values
fem list strain elem 1          #strain in elem 1 calculated from xp and zp
#fem list strain;straindata data table reference #list strain calculation in 
fem update geometry from field  #this overwrites original mesh (strains now 0)
fem dr data trace               #Xi positions on new mesh
fem dr data projection          
fem draw strain vectors data scale 0.05 #strain eigenvectors at data pts 
refresh graphics
#fem list data;fiterrors errors full    #list errors in fit into file "fiterrors"
