# Example_231 Fit a field over two elements using orthogonal data projections
      
fem                            #set the FEM environment
fem define node;r;example_231;example              #reads 4 nodal coordinates                                                                           
fem define base;r              #define bilinear basis                                                                               
fem define element;r           #reads 1 element                                                                                     
fem define window;c            #calculates plotting window coordinates                                                              
fem define data;r geometry     #reads 14 geometric data points from data                                                            
#                               file                                                                                                
fem def xi;c orthog	       #calculates xi projections onto linear elements
fem list data                  #shows data with weights and xi positions                                                            
fem define field;r             #reads a field for fitting (initially zero)                                                          
fem define elem;r field
fem define fit;r
fem list fit                   #shows fitting dof's                                                                                 
fem fit                #fits field coordinate increments to data                                                            
fem update node in 1           #transfers field increments to the geometric                                                         
#                               variable                                                                                            
fem define line;c              #to recalculate line information with new                                                            
#                               basis                                                                                               
fem cancel xi                  #to cancel current xi locations...                                                                   
fem define data;c xi orthog    #...and calculate new ones                                                                           
fem draw line                  #draw line segments                                                                                  
fem draw data                  #draw data segments                                                                                  
fem draw data proj             #draw data projections                                                                               
fem quit                                                                                                                            
