#Example_233  Fit activation times on 5x5 prolate spheroidal surface
#             mesh using electrode data
fem
fem define coor;r;example_233 #prolate spheroidal coords
fem define node;r                 #26 nodes
fem define base;r                 #bilinear bases
fem define elem;r                 #25 bilinear elements
fem define field;r                #1 field position, bilinear basis
fem define elem;r field           
fem define window
fem define data;r field           #timing data at 64 electrodes
fem define xi;c orthog            #calculate Xi locations of electrodes
fem define fit;r field            #all nodes in fit
#fem list fit
fem fit field
#fem define window on 4
#fem define map hammer mu=125      !Hammer projection window
fem draw lines
#fem draw nodes
fem draw data                     #show electrode positions
#fem draw data trace               !show Xi positions
#fem draw contours in 1..20        !contours on Hammer map
#fem draw field                    !colour field
