#! /bin/sh
#
# The is a shell script to update CMISS .ipnode files.
#
# Usage:
#   fixipnode.sh
#
# Created:
#   Karl Tomlinson, 28 August 1998
#
# Updates:
#

find . -name '*.ipnode' -print > listoffiles.tmp
find . -name '*.irnode' -print >> listoffiles.tmp
for file in `cat listoffiles.tmp`
do
  if ( fgrep -s ' derivative wrt s(1) is [' $file ) then
    echo "Converting file" $file #"stage 1"
    nawk -f ${CMISS_ROOT}/cmiss_utils/scripts/fixipnode1.awk $file \
	> $file"_tmp"
    mv $file"_tmp" $file
  fi
done
rm -f listoffiles.tmp
