#!/bin/tcsh
#
# Gets percentage errors from check sol output files.
#
# Usage:
#   get_rms.sh type occurrence file
#
# Example:
#   get_rms.sh Relative 1 sphere_1_bem_100_1_04_04_0_x_x_inner.out
#
# Created:
#   Glen Harris, 15 October 1996
#
# Updates:
#
sed -e "s%D%E%g" $3 | nawk -f ${CMISS_ROOT}/examples/3/35/get_rms.awk \
	-v name=$1 -v occurrence=$2 
