#Example_361: Four bilinear element square sail in 3D space. 
#             Finite elastic deformation with Mooney-Rivlin material
#             and loaded with constant pressure.

fem de coor;r;sail;example      #3D rect. cart.
fem de node;r;;example          #9 nodes
fem de base;r;;example          #bilinear
fem de elem;r;;example          #4 elements
fem de fibr;r;;example          #45deg fibres
fem de elem;r;;example fibre    #bilinear fibre basis
fem de equa;r;;example          #finite elastic membrane
fem de mate;r;;example          #Mooney-Rivlin c1=1, c2=0.2
fem de init;r;;example          #constant pressure load
fem de solv;r;;example
fem solve iterate 16
#fem list strain  
#fem list stress 
fem ex node;sail as undeformed   
fem ex elem;sail as undeformed   
fem ex node;deformed_sail field using solve as deformed
fem ex elem;deformed_sail field using solve as deformed
