#Example_451 A plane stress modal analysis                           
                                                                     
fem                            #Set up the FEM environment                  
fem define nodes;r;modal;example #Read in 6 nodes to define a plate
fem define window;c            #Calculate the window size
fem define bases;r;;example    #Define a bilinear basis function
fem define elements;r;;example #Define two elements   
fem define fibre;d             #Default fibre angles
fem define elements;r;;example fibre #Define two fibre elements
fem draw lines                 #Make the line segments visible
fem draw elements              #Make the element numbers visible
fem draw nodes                 #Make the node numbers visible
fem define equation;p          #Define a modal analysis using linear
#                                elasticity with plane stress elements
#                                for elements 1 and 2.
#                                Set the basis function type number
#                                to 1 for both displacement components.
#                                Default all other questions.
fem define material;p          #Define the material parameters for 
#                                steel. Define an isotropic material
#                                with a Young's modulus of 200 GPa, 
#                                Poissons ratio of 0.3, constant zero 
#                                load components and a density of 
#                                7854 Kg/m^3
fem define initial;p           #Define initial and boundary conditions
#                                for the problem. Set both 
#                                displacements at nodes 1 and 3 to 0.0
fem define solve;p             #Define the solve. Default all options
#                                except set the maximum modal frequency
#                                to 5 kHz
fem solve                      #Solve the modal analysis problem
fem list modal                 #List the modal frequencies and shapes
fem draw line mode 1 dotted scale 0.5 #Draw the lowest frequency mode
fem draw line mode 2 dotted scale 0.5                       
fem draw line mode 3 dotted scale 0.5                        
fem draw line mode 4 dotted scale 0.5                       
fem draw line mode 5 dotted scale 0.5                       
fem draw line mode 6 dotted scale 0.5                       
fem draw line mode 7 dotted scale 0.5                       
fem draw line mode 8 dotted scale 0.5 #Draw the highest frequency mode 





