
gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2
gfx create material copper ambient 1 0.2 0 diffuse 0.6 0.3 0 emission 0 0 0 specular 0.7 0.7 0.5 alpha 1 shininess 0.3
gfx create material dblue ambient 1 1 1 diffuse 0 0.1 1 emission 0 0 0 specular 0.4 0.4 0.5 alpha 1 shininess 0.5
gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material default_selected ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material gold ambient 1 0.4 0 diffuse 1 0.7 0 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.8
gfx create material green ambient 0 1 0 diffuse 0 1 0 emission 0 0 0 specular 0 0 0 alpha 0.9 shininess 0
gfx create material musc ambient 0 0 0.1 diffuse 1 0 0.03 emission 0 0 0 specular 0.3 0.3 0.3 alpha 1 shininess 0.3
gfx create material red ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.8 0.4 0.4 alpha 0.9 shininess 1
gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
gfx create material skel ambient 0 0 0 diffuse 1 0.3 0.23 emission 0 0 0 specular 0.3 0.3 0.3 alpha 1 shininess 0.3
gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2

gfx re no final
gfx re el final

#gfx read no /usr/people/stevens/new_pig/epi/fit/fit_pulmonary_valve/pulmonary_valve
#gfx read el /usr/people/stevens/new_pig/epi/fit/fit_pulmonary_valve/pulmonary_valve

#gfx read no /usr/people/stevens/new_pig/epi/fit/fit_aortic_valve/aortic_valve
#gfx read el /usr/people/stevens/new_pig/epi/fit/fit_aortic_valve/aortic_valve




gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 691 height 721
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 1 1 1 texture none
gfx modify window 1 view parallel eye_point -167.205 -152.21 -72.2929 interest_point 7.48795 11.4056 61.8574 up_vector 0.32263 0.369883 -0.871261 view_angle 23.1014 near_clipping_plane 2.8173 far_clipping_plane 1006.81 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 perturb_lines antialias 8 slow_transparency




gfx cre egroup base_skel add 60082,60083,60084,60085,60086,60087,60088
gfx cre egroup base_skel_outer add 60001,60004,60009,60041,60048..60050,60055..60058,60081
gfx cre egroup base_skel_lower add 60032..60034,60051..60052
gfx cre egroup base_musc add 60001,60004,60009,60032..60034,60041,60048..60052,60055..60058,60081
gfx cre egroup layer1 add 60007,60012,60030,60040,60064..60075
gfx cre egroup layer2 add 60003,60006,60011,60014..60017,60022..60025,60028,60035..60038
gfx cre egroup layer3 add 60002,60005,60010,60018..60021,60026..60027,60029,60042..60047
gfx cre egroup apex add 60008,60013,60031,60039,60053..60054,60059..60063,60076..60080


gfx set vis final off



gfx modify g_element apex general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "20*20*20" native_discretization none
gfx modify g_element apex lines select_on material default selected_material default_selected
gfx modify g_element apex surfaces select_on material musc selected_material default_selected render_shaded
gfx modify g_element apex element_points face xi3_1 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected
gfx modify g_element apex element_points face xi3_0 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected



gfx modify g_element base_musc general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "20*20*20" native_discretization none
gfx modify g_element base_musc lines select_on material default selected_material default_selected
gfx modify g_element base_musc surfaces face xi3_0 select_on material musc selected_material default_selected render_shaded
gfx modify g_element base_musc surfaces face xi3_1 select_on material musc selected_material default_selected render_shaded
gfx modify g_element base_musc element_points face xi3_1 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected
gfx modify g_element base_musc element_points face xi3_0 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected







gfx modify g_element base_skel general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "20*20*20" native_discretization none
gfx modify g_element base_skel lines select_on material default selected_material default_selected
gfx modify g_element base_skel surfaces select_on material skel selected_material default_selected render_shaded



gfx modify g_element base_skel_lower general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "20*20*20" native_discretization none
gfx modify g_element base_skel_lower lines select_on material default selected_material default_selected
gfx modify g_element base_skel_lower surfaces as muscle face xi2_1 select_on material skel selected_material default_selected render_shaded
gfx modify g_element base_skel_lower surfaces as skeletal face xi2_1 select_on material musc selected_material default_selected render_shaded



gfx modify g_element base_skel_outer general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "20*20*20" native_discretization none
gfx modify g_element base_skel_outer lines select_on material default selected_material default_selected
gfx modify g_element base_skel_outer surfaces as muscle face xi2_1 select_on material skel selected_material default_selected render_shaded
gfx modify g_element base_skel_outer surfaces as skeletal face xi2_1 select_on material musc selected_material default_selected render_shaded



gfx modify g_element layer1 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "20*20*20" native_discretization none
gfx modify g_element layer1 lines select_on material default selected_material default_selected
gfx modify g_element layer1 surfaces select_on material musc selected_material default_selected render_shaded
gfx modify g_element layer1 element_points face xi3_0 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected
gfx modify g_element layer1 element_points face xi3_1 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected



gfx modify g_element layer2 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "20*20*20" native_discretization none
gfx modify g_element layer2 lines select_on material default selected_material default_selected
gfx modify g_element layer2 surfaces select_on material musc selected_material default_selected render_shaded
gfx modify g_element layer2 element_points face xi3_1 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected
gfx modify g_element layer2 element_points face xi3_0 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected


gfx modify g_element layer3 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "20*20*20" native_discretization none
gfx modify g_element layer3 lines select_on material default selected_material default_selected
gfx modify g_element layer3 surfaces select_on material musc selected_material default_selected render_shaded
gfx modify g_element layer3 element_points face xi3_0 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected
gfx modify g_element layer3 element_points face xi3_1 glyph line general size "1*1*1" centre 0,0,0 orientation fibres scale_factors "1*1*1" use_faces cell_centres discretization "4*4*1" native_discretization NONE select_on material default selected_material default_selected



gfx print file sgi:rc_heart.rgb
