
gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2
gfx create material copper ambient 1 0.2 0 diffuse 0.6 0.3 0 emission 0 0 0 specular 0.7 0.7 0.5 alpha 1 shininess 0.3
gfx create material dblue ambient 1 1 1 diffuse 0 0.1 1 emission 0 0 0 specular 0.4 0.4 0.5 alpha 1 shininess 0.5
gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material default_selected ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material gold ambient 1 0.4 0 diffuse 1 0.7 0 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.8
gfx create material green ambient 0 1 0 diffuse 0 1 0 emission 0 0 0 specular 0 0 0 alpha 0.9 shininess 0
gfx create material musc ambient 0 0 0.1 diffuse 1 0 0.03 emission 0 0 0 specular 0.3 0.3 0.3 alpha 1 shininess 0.3
gfx create material red ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.8 0.4 0.4 alpha 0.9 shininess 1
gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
gfx create material skel ambient 0 0 0 diffuse 1 0.3 0.23 emission 0 0 0 specular 0.3 0.3 0.3 alpha 1 shininess 0.3
gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2

gfx re no MRP01
gfx re el MRP01
gfx re el MRP01_base

gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 691 height 721
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0 texture none
gfx modify window 1 view parallel eye_point -167.205 -152.21 -72.2929 interest_point 7.48795 11.4056 61.8574 up_vector 0.32263 0.369883 -0.871261 view_angle 23.1014 near_clipping_plane 2.8173 far_clipping_plane 1006.81 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 perturb_lines no_antialias slow_transparency




#gfx cre egroup base_skel add 82,83,84,85,86,87,88
gfx cre egroup base_skel_outer add 1,4,9,41,48..50,55..58,81
gfx cre egroup base_skel_lower add 32..34,51..52
gfx cre egroup base_musc add 01,4,9,32..34,41,48..52,55..58,81
gfx cre egroup layer1 add 07,12,30,40,64..75
gfx cre egroup layer2 add 03,6,11,14..17,22..25,28,35..38
gfx cre egroup layer3 add 02,5,10,18..21,26..27,29,42..47
gfx cre egroup apex add 08,13,31,39,53..54,59..63,76..80


#gfx set vis final off




gfx modify g_element base_musc general clear circle_discretization 6 default_coordinate coordinates element_discretization "8*8*8" native_discretization none
gfx modify g_element base_musc lines select_on material default selected_material default_selected
gfx modify g_element base_musc surfaces face xi3_0 select_on material musc selected_material default_selected render_shaded
gfx modify g_element base_musc surfaces face xi3_1 select_on material musc selected_material default_selected render_shaded




gfx modify g_element base_skel general clear circle_discretization 6 default_coordinate coordinates element_discretization "8*8*8" native_discretization none
gfx modify g_element base_skel lines select_on material default selected_material default_selected
gfx modify g_element base_skel surfaces select_on material skel selected_material default_selected render_shaded


gfx modify g_element base_skel_outer general clear circle_discretization 6 default_coordinate coordinates element_discretization "8*8*8" native_discretization none
gfx modify g_element base_skel_outer lines select_on material default selected_material default_selected
gfx modify g_element base_skel_outer surfaces face xi2_1 select_on material skel selected_material default_selected render_shaded as muscle
gfx modify g_element base_skel_outer surfaces face xi2_1 select_on material musc selected_material default_selected render_shaded as skeletal



gfx modify g_element base_skel_lower general clear circle_discretization 6 default_coordinate coordinates element_discretization "8*8*8" native_discretization none
gfx modify g_element base_skel_lower lines select_on material default selected_material default_selected
gfx modify g_element base_skel_lower surfaces face xi2_1 select_on material skel selected_material default_selected render_shaded as muscle
gfx modify g_element base_skel_lower surfaces face xi2_1 select_on material musc selected_material default_selected render_shaded as skeletal



gfx modify g_element layer3 general clear circle_discretization 6 default_coordinate coordinates element_discretization "8*8*8" native_discretization none
gfx modify g_element layer3 lines select_on material default selected_material default_selected
gfx modify g_element layer3 surfaces select_on material musc selected_material default_selected render_shaded


gfx modify g_element layer2 general clear circle_discretization 6 default_coordinate coordinates element_discretization "8*8*8" native_discretization none
gfx modify g_element layer2 lines select_on material default selected_material default_selected
gfx modify g_element layer2 surfaces select_on material musc selected_material default_selected render_shaded



gfx modify g_element layer1 general clear circle_discretization 6 default_coordinate coordinates element_discretization "8*8*8" native_discretization none
gfx modify g_element layer1 lines select_on material default selected_material default_selected
gfx modify g_element layer1 surfaces select_on material musc selected_material default_selected render_shaded


gfx modify g_element apex general clear circle_discretization 6 default_coordinate coordinates element_discretization "8*8*8" native_discretization none
gfx modify g_element apex lines select_on material default selected_material default_selected
gfx modify g_element apex surfaces select_on material musc selected_material default_selected render_shaded



gfx set vis MRP01 off

gfx mod win 1 set pert





