  if(1)
  {
    fem solve increment 0.0 iter $iterations
    fem define initial;w;$outputInit."lv_def_inflation_$time" reg $WALL
    $return = MyFunc::writeCalciumLevel(0,$time);
    $time=$time+1;
    $name = "heartOriginal2"
    $file = $output.$name
    fem export nodes;$file field as $name offset 500
    fem export elements;$file field as $name offset_elem 500
  }

  $nIter = 5;
  $INCR = 0.3/$nIter; # increase to 0.3kPa using 5 iterations
  print "Increment $INCR\n";
  for($n=1;$n<=$nIter;$n++)
  {
    print "\n\nSolving for iteration $n\n\n";
    fem solve increment $INCR iter $iterations
    fem define initial;w;$outputInit."lv_def_inflation_$time" reg $WALL
    $return = MyFunc::writeCalciumLevel(0,$time);
    $time=$time+1;
    read com;export
  }

  #save deformed equilibrium solutions
  fem define initial;w;$output."wall_inflated_Anode" reg $WALL
  print "Last time step: $time\n";
  
  
