#Read in Geometry Information
#============================
gfx read node 3dcube
gfx read elem 3dcube
gfx read node cleavage
gfx read elem cleavage

#Window Commands
#===============
gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 469 height 490
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0
gfx modify window 1 view perspective eye_point 0.00636237 2.12167 7.492 interest_point 1.75 0.4 0.4 up_vector 0.405585 0.906113 -0.120253 view_angle 40 near_clipping_plane 0.0750339 far_clipping_plane 26.8145 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency

#Material Commands
#=================
gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material isosurface ambient 0.5 0.51 1 diffuse 0.5 0.5 1 emission 0.1 0.1 0.1 specular 0.1 0.1 0.1 alpha 1 shininess 0.5
gfx create material blue diff 0 0 1 amb 0 0 1 
gfx create material yellow diff 1 1 0 amb 1 1 0 alpha 1
gfx create material red diff 1 0 0 amb 1 0 0
gfx create material extsurf amb 0 0 0 diffuse 0.2 0.2 0.5 alpha 0.2

#Spectrum Commands
#=================
gfx modify spectrum default clear overwrite_colour
gfx modify spectrum default linear reverse range -85.004 14.567 extend_above extend_below rainbow colour_range 0 1 ambient diffuse
gfx create spectrum potential log exaggeration 3 right reverse range -90 50 extend_above extend_below rainbow colour_range 0 1 ambient diffuse 

#Drawing Commands
#================

gfx modify g_element cube general circle_discretization 6 default_coordinate default_coordinate element_discretization "12*12*12" native_discretization coordinates

gfx modify g_element cleavage surfaces material yellow
gfx modify g_element cleavage lines material red

#Read in next time steps
#=======================

#var set 1 1000
#open comfile $example/wave execute 199     !execute wave.com 199 times
gfx set order cube
 
gfx timekeeper default play minimum 1000 maximum 1199 swing
gfx timekeeper default stop set_time 0
gfx timekeeper default play speed 10
gfx timekeeper default stop set_time 0
GFX create time_editor
#=======================

