if (! defined $example) {
    $example = "./";
}
$chopped = chop $example;
if ($chopped ne "/") {
    $example .= $chopped;
}

fem define parameters;r;$example/cellml;
fem define node;d;
fem define bas;d;
fem define elem;d;
fem define grid;d;
fem update grid geometry;
fem update grid metric;
fem define equation;r;$example/cellml;
fem define cell;r;$example/mcallister_noble_tsien_model_1975;
fem define material;d cell;
fem define material;d;
fem update grid material;
fem define initial;d;
fem define solve;r;$example/lsoda;
fem solve to 0;
fem open history;mcallister_noble_tsien_model_1975 write variables yqs niqslist 1..22 binary;
$Tend = 5000;
$dt = 1.0;
for ($time=0;$time<$Tend;$time+=$dt) {
    fem solve restart to $time;
    fem write history time $time variables yqs binary;
}
fem close history binary;
fem evaluate electrode;mcallister_noble_tsien_model_1975 history mcallister_noble_tsien_model_1975 from grid yqs iy 1..22 binary;
fem define export;r;$example/mcallister_noble_tsien_model_1975;
fem export signal;mcallister_noble_tsien_model_1975 electrodes signal mcallister_noble_tsien_model_1975 names cell;

# For testing we compare the generated CMISS signal files
if ($TESTING) {
    fem compare signal;mcallister_noble_tsien_model_1975 basis both masterfile $example/mcallister_noble_tsien_model_1975 comparefile mcallister_noble_tsien_model_1975 binary;
}
