gfx cre axes length 500
gfx draw axes

###############
#Read in host
gfx read nodes host_zero_semimembranosus
gfx read elem host_zero_semimembranosus
gfx read nodes host_zero_semitendinosus
gfx read elem host_zero_semitendinosus


##################################

# bone_list
@bone_list = ('femur','tibia','hip');
foreach $component (@bone_list)
{ 
#Read in bone
gfx read nodes initial_$component
gfx read elem initial_$component

#Commands for reproducing group simulate_$component on scene default:
gfx modify g_element $component general clear circle_discretization 6 default_coordinate coordinates element_discretization "1*1*1" native_discretization none;
gfx modify g_element $component lines select_on material default selected_material default_selected;
gfx modify g_element $component surfaces select_on material bone selected_material default_selected render_shaded;
}

###################
# muscle_list
@muscle_list = ('semimembranosus','semitendinosus');
foreach $component (@muscle_list)
{ 
#Read in muscle
gfx read nodes initial_$component
gfx read elem initial_$component

#Commands for reproducing group simulate_$component on scene default:
gfx modify g_element $component general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none;
gfx modify g_element $component lines select_on material default selected_material default_selected;
gfx modify g_element $component surfaces select_on material muscle selected_material default_selected render_shaded;
}


#Elements: semimembranosus
#16017..16024
gfx cre egroup semimemten
gfx mod egroup semimemten add 16017..16024
gfx modify g_element semimemten surfaces select_on material tissue selected_material default_selected render_shaded; 


#Elements:semitendinosus
#15003..15004,15017..15018,15025..15036
gfx cre egroup semitenten
gfx mod egroup semitenten add 15003..15004,15017..15018,15025..15036
gfx modify g_element semitenten surfaces select_on material tissue selected_material default_selected render_shaded; 


gfx set order object semimemten position 1
gfx set order object semitenten position 2
