
gfx read nodes half_def_1
gfx read elem half
gfx read nodes cylinder_def_1
gfx read elem cylinder_def
gfx create material red ambient 0.5 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.67 0.7 0.74 alpha 0.56 shininess 0.09;
gfx create material blue ambient 0 0 0.5 diffuse 0 0.46 1 emission 0 0 0 specular 0.66 0.61 0.54 alpha 1 shininess 0.27;

#Commands for reproducing group cylinder_def on scene default:
gfx modify g_element cylinder_def general clear circle_discretization 6 default_coordinate coordinates element_discretization "20*20*20" native_discretization none;
gfx modify g_element cylinder_def lines select_on material default selected_material default_selected;;

#Commands for reproducing group half on scene default:
gfx modify g_element half general clear circle_discretization 6 default_coordinate coordinates element_discretization "20*20*20" native_discretization none;
gfx modify g_element half lines select_on material default selected_material default_selected;

gfx create window 1

# define field components
#gfx define field pressure component general.2

# create spectrum for pressurespec
#gfx create spectrum pressurespec
#gfx modify spectrum pressurespec clear overwrite_colour
#gfx modify spectrum pressurespec autorange linear component 1 reverse extend_above extend_below rainbow colour_range 0 1 ambient diffuse 

# read in spectrum data
#gfx modify spectrum pressurespec clear overwrite_colour
#gfx modify spectrum pressurespec autorange linear component 1 reverse extend_above extend_below rainbow colour_range 0 1 ambient diffuse

# create colour bars
#gfx update window 1
#gfx cre scene overlay
#gfx mod scene overlay add_light default
#gfx mod win 1 overlay scene overlay
#gfx create colour_bar as pressurebar centre -1.05 0 0 spectrum pressurespec                  
#gfx draw graphics_object pressurebar scene overlay


#Commands for reproducing group half on scene default:
gfx modify g_element half general clear circle_discretization 6 default_coordinate coordinates element_discretization "20*20*20" native_discretization none;
gfx modify g_element half lines select_on material black selected_material default_selected;
gfx modify g_element half surfaces exterior face xi2_1 select_on material bone selected_material default_selected render_shaded;
#Commands for reproducing group cylinder_def on scene default:
gfx modify g_element cylinder_def general clear circle_discretization 6 default_coordinate coordinates element_discretization "20*20*20" native_discretization none;
gfx modify g_element cylinder_def lines select_on material black selected_material default_selected;
gfx modify g_element cylinder_def surfaces exterior select_on material blue selected_material default_selected render_shaded;
# window commands
gfx create window 1 double_buffer;
gfx modify window 1 image scene default light_model default;
gfx modify window 1 image add_light default;
gfx modify window 1 layout 2d ortho_axes z -y eye_spacing 0.25 width 817 height 784;
gfx modify window 1 set current_pane 1;
gfx modify window 1 background colour 1 1 1 texture none;
gfx modify window 1 view parallel eye_point 0.64424 -0.164108 11.9307 interest_point 0.64424 -0.164108 0.5 up_vector 0 1 0 view_angle 9.0811 near_clipping_plane 0.114307 far_clipping_plane 40.8495 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;
gfx modify window 1 overlay scene none;
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency blend_normal;

#for ($i=1;$i<8;$i=$i+1)
#{
# gfx read nodes half_def_$i
# gfx read nodes cylinder_def_$i
# gfx print file $i.".jpg"  window 1; 
#} 

