###############

#Read in host
gfx read nodes semimembranosus_host
gfx read elem semimembranosus_host

##################################

# bone_list
@bone_list = ('femur','tibia','hip');
foreach $component (@bone_list)
{ 
#Read in bone
gfx read nodes initial_$component
gfx read elem initial_$component

#Commands for reproducing group simulate_$component on scene default:
gfx modify g_element $component general clear circle_discretization 6 default_coordinate coordinates element_discretization "1*1*1" native_discretization none;
gfx modify g_element $component lines select_on material default selected_material default_selected;
gfx modify g_element $component surfaces select_on material bone selected_material default_selected render_shaded;
}

###################
# muscle_list
@muscle_list = ('semimembranosus');
foreach $component (@muscle_list)
{ 
#Read in muscle
gfx read nodes initial_$component
gfx read elem initial_$component

#Commands for reproducing group simulate_$component on scene default:
gfx modify g_element $component general clear circle_discretization 6 default_coordinate coordinates element_discretization "1*1*1" native_discretization none;
gfx modify g_element $component lines select_on material default selected_material default_selected;
gfx modify g_element $component surfaces select_on material muscle selected_material default_selected render_shaded;
}
