gfx read nodes final_volume_rectus
gfx read elem final_volume_rectus
gfx read data rectus_femoris

# Colours
gfx create material bone ambient 0.66 0.61 0 diffuse 1 1 0.61 emission 0 0 0 specular 0.79 0.76 0.71 alpha 1 shininess 0.37
gfx create material grey ambient 0 0 0 diffuse 0.47 0.42 0.5 emission 0 0 0 specular 0.47 0.53 0.5 alpha 1 shininess 0.1
gfx create material blue ambient 0 0 0 diffuse 0 0 0.97 emission 0 0 0 specular 0.66 0.66 0.61 alpha 1 shininess 0.07
gfx create material defhost ambient 0 0 0 diffuse 0.24 1 1 emission 0 0 0 specular 0.58 0.58 0.5 alpha 1 shininess 0.04
gfx create material datapts ambient 0 0 0 diffuse 0 0.95 0 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.36
gfx create material muscle ambient 1 0.13 0.16 diffuse 1 0.32 0.21 emission 0 0 0 specular 1 1 1 alpha 1 shininess 0.36

# fascia
gfx create material fascia ambient 0.28 0.21 0 diffuse 0.44 0.41 0.39 emission 0.69 0.43 0.31 specular 0.46 0.49 0.44 alpha 0.41 shininess 1
# skin
gfx create material skin ambient 0.26 0.28 0.28 diffuse 0.61 0.3 0.3 emission 0.57 0.39 0.15 specular 0.23 0 0 alpha 1 shininess 1
#black
gfx create material black ambient 0 0 0 diffuse 0 0 0 emission 0 0 0 specular 0.66 0.66 0.61 alpha 1 shininess 0.05;

#Commands for reproducing group final_volume_rectus on scene default:
gfx modify g_element final_volume_rectus general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none;
gfx modify g_element final_volume_rectus cylinders constant_radius 0.6 select_on material black selected_material default_selected;
gfx modify g_element final_volume_rectus surfaces select_on material muscle selected_material default_selected render_shaded;

#Commands for reproducing group rectus_femoris on scene default:
gfx modify g_element rectus_femoris general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none;
gfx modify g_element rectus_femoris data_points glyph cross general size "3*3*3" centre 0,0,0 select_on material datapts selected_material default_selected;
gfx modify g_element rectus_femoris lines select_on material default selected_material default_selected;

# window commands
gfx create window 1 double_buffer;
gfx modify window 1 image scene default light_model default;
gfx modify window 1 image add_light default;
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 1154 height 980;
gfx modify window 1 set current_pane 1;
gfx modify window 1 background colour 1 1 1 texture none;
gfx modify window 1 view parallel eye_point -422.342 1014.67 -1450.98 interest_point 234.922 179.906 -993.22 up_vector 0.328569 0.639729 0.69483 view_angle 24.9578 near_clipping_plane 11.5688 far_clipping_plane 4134.31 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;
gfx modify window 1 overlay scene none;
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency;
