
fem def para;r;fitting_lin
fem def coor;r;fit

#fem def node;r;rv_init
fem def node;r;rv_edited
fem def base;r;bicubic_fit

fem def elem;r;rv_init

#not nodes 100,101,103,102,104,113,114,116,122,123,124,127,131,136
fem up node deriv 1 linear nodes 103,105,107,109..111,115,117..121,125,126,128..130,132..135,137..145
fem up node deriv 2 linear nodes 103,105,107,109..111,115,117..121,125,126,128..130,132..135,137..145
fem up node deriv 2 linear nodes 122,123,124,127,131,136



#
# The initial mesh
#
fem export node;rv_init as rv_init offset 0
fem export elem;rv_init as rv_init offset_elem 0


#
# Calculate the intial xi projections 
#   - alternatively the command fem def xi;c orthog can be used
#     it is slower but may produce better results in some cases
#
fem def data;r;rv_endo
fem def xi;c close
fem li data err 
fem export data;rv_data as rv_data error


#
# Setup the fitting problem - 
fem up field from geometry

#
# Defines the fitting problem by setting smoothing parameters
#  and setting some fixed nodes.
#
fem def fit;r;rv geometry


#
# First fit
#
fem fit
fem update node fit
fem update scale_factor normalise
# The `old' option on `def xi;c' means that the last projections are used as
# initial estimates for the non-linear projection calculation.
fem def xi;c close old
fem li data err 

#
# Second fit
#
fem fit
fem update node fit
fem update scale_factor normalise
fem def xi;c close old
fem li data err 

#
# Third fit
#
fem fit
fem update node fit
fem update scale_factor normalise
fem def xi;c close old
fem li data err 


#
# Export the fitted geometry
#
fem export data;rv_data as rv_data error
fem export node;rv as rv offset 50000
fem export elem;rv as rv offset_elem 50000







fem define nodes;w;rv_fitted
fem define elem;w;rv_fitted


fem quit
