gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2
gfx create material copper ambient 1 0.2 0 diffuse 0.6 0.3 0 emission 0 0 0 specular 0.7 0.7 0.5 alpha 1 shininess 0.3
gfx create material dblue ambient 1 1 1 diffuse 0 0.1 1 emission 0 0 0 specular 0.4 0.4 0.5 alpha 1 shininess 0.5
gfx create material default_selected ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material gold ambient 1 0.4 0 diffuse 1 0.7 0 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.8
gfx create material green ambient 0 1 0 diffuse 0 1 0 emission 0 0 0 specular 0 0 0 alpha 0.9 shininess 0
gfx create material musc ambient 0 0 0.1 diffuse 1 0 0.03 emission 0 0 0 specular 0.3 0.3 0.3 alpha 1 shininess 0.3
gfx create material red ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.8 0.4 0.4 alpha 0.9 shininess 1
gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
gfx create material skel ambient 0 0 0 diffuse 1 0.3 0.23 emission 0 0 0 specular 0.3 0.3 0.3 alpha 1 shininess 0.3
gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2

gfx re no final
gfx re el final



gfx set vis final off


gfx cre egroup lv1 add 60004..60021,60028..60035,60037,60039..60043,60051..60054,60057,60059,60061..60062,60065..60069,60082,60084,60086..60088
gfx cre egroup lv2 add 60004,60009,60041,60057


gfx modify g_element lv1 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element lv1 lines face xi3_0 select_on material default selected_material default_selected
gfx modify g_element lv1 surfaces face xi3_0 select_on invisible material default selected_material default_selected render_shaded



gfx modify g_element lv2 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element lv2 lines face xi2_1 select_on material default selected_material default_selected
gfx modify g_element lv2 surfaces face xi2_1 select_on invisible material default selected_material default_selected render_shaded



gfx read data lv_data
gfx modify g_element lv_data general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element lv_data lines select_on invisible material default selected_material default_selected
gfx modify g_element lv_data data_points glyph cross general size "1*1*1" centre 0,0,0 select_on material dblue selected_material default_selected
gfx modify g_element lv_data data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material red selected_material default_selected





gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes -y z eye_spacing 0.25 width 563 height 560
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 1 1 1 texture none
gfx modify window 1 view parallel eye_point -169.425 -12.878 78.9069 interest_point 0.115783 -0.92196 64.4958 up_vector -0.0797162 -0.0682742 -0.994477 view_angle 32.9076 near_clipping_plane 1.70572 far_clipping_plane 609.567 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency


#gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines antialias 8 fast_transparency
gfx set line_width 2 
#gfx print window 1 width 2048 height 2048 rgb file lv_fit.rgb 
#quit