#Example_2142  Geometry fit of myocardial finite element model to                                                                   
#              SPAMM stripe data which has been obtained using                                                                      
#              the define data;calculate stripe command. Eight                                                                      
#              bilinear elements are used. Fit is based on least                                                                    
#              squares error with smoothing                                                                                         
                                                                                                                                    
#First construct 1D contours to be fitted to endo and epicardium                                                                    
fem define coor;r;example_2142_1d;example                                                                                               
fem define base;r;example_2142_1d;example   #1D elements: r and theta are                                                               
#                                        linear in xi                                                                               
fem define node;r;example_2142_1d;example   #default radii and slopes                                                                   
fem define elem;r;example_2142_1d;example                                                                                               
fem define field;r;example_2142_1d;example                                                                                              
fem define window;c on 1                                                                                                            
fem draw li        #display contours before fitting them                                                                            
fem draw node                                                                                                                       
fem draw elem                                                                                                                       
                                                                                                                                    
                                                                                                                                    
#Read in data defining contours                                                                                                     
fem define data;r;example_2142_epi02norm;example geom  #Read in pts lying on                                                            
#                                                   epicardium                                                                      
fem define data;c xi in 9..16                                                                                                       
fem draw data                                                                                                                       
fem draw data proj                                                                                                                  
fem define fit;r;example_2142_1d;example geom in 9..16                                                                                  
fem fit geometry                                                                                                                    
fem update node in 1                                                                                                                
fem draw line                                                                                                                       
fem draw data proj                                                                                                                  
fem can data                                                                                                                        
                                                                                                                                    
#Fit inner element contour to endocardium                                                                                           
fem define data;r;example_2142_endo02norm;example geom  #Read in pts lying on                                                           
#                                                    endocardium                                                                    
fem define data;c xi in 1..8                                                                                                        
fem draw data                                                                                                                       
fem draw data proj                                                                                                                  
fem define fit;r;example_2142_1d;example geom in 1..8                                                                                   
fem fit geometry                                                                                                                    
fem update node in 1                                                                                                                
fem draw line                                                                                                                       
fem draw data proj                                                                                                                  
fem hi data proj                                                                                                                    
fem can data                                                                                                                        
fem can elem                                                                                                                        
fem can data                                                                                                                        
                                                                                                                                    
#Next define the "reference" or undeformed element                                                                                  
#geometry using the above fitted contours                                                                                           
fem define coor;r;example_2142;example                                                                                                  
fem define bas;r;example_2142;example       #one 2D bilinear basis                                                                      
#                                        r and theta both linear in xi1,xi2                                                         
fem define node;r;example_2142_fitted;example                                                                                           
fem define elem;r;example_2142;example         #eight 2D bilinear elements                                                              
#fem define window;c on 1                  !if window not already displayed                                                         
fem draw li                                                                                                                         
fem draw node                                                                                                                       
fem define data;r;example_2142_def300;example geom    #Input stripe data from                                                           
#                                                  reference configuration.                                                         
fem define data;c xi      #Calculate xis for reference config.                                                                      
fem define data;w;example_2142_def300 xi                                                                                        
fem can data                                                                                                                        
fem define data;r;example_2142_undef300;example geom  #Input stripe data from                                                           
#                                                  deformed config.                                                                 
fem define data;r;example_2142_def300 xi      #Input xis from reference                                                         
#                                                  config.                                                                          
fem draw data                                                                                                                       
fem draw data trace                                                                                                                 
fem define field;r;example_2142;example                                                                                                 
fem define fit;r;example_2142;example geom   #weighting of 1.                                                                           
fem fit geom                                                                                                                        
fem update node                                                                                                                     
fem draw li                                                                                                                         
fem draw data trace                                                                                                                 
fem draw node                                                                                                                       
fem quit                                                                                                                            
