#Example_2171  Fit prolate spheroidal mesh to coronary angiogram data                                                          
                                                                                                                                   
fem                          #set the FEM environment                                                                               
fem define coord;r;epi2d;example #read in the definition of the coordinates form                                                        
#                            file                                                                                                   
fem define base;r;epi2d;example  #lamda BC.H.;mu and theta BL.L.                                                                        
fem define element;r;epi2d_16;example                                                                                                   
#                           !define the elements as specified in the                                                                
#                            'epi2d_16' file                                                                                        
fem define node;r;epi2d_25;example                                                                                                      
#                           !read in the node definitions from file                                                                 
fem define window;r;epi2d;doc#read in the window definitions from file                                                              
fem define line;c            #calculate the line positions                                                                          
fem define data;r;dn;example     #read in data defineition form file 'dn'                                                               
fem define data;r;dn_left;example xi total 2                                                                                            
#                           !read in xi coordinates definition from file                                                            
#                            'dn_left'                                                                                              
fem define field;r;epi2d_left;example                                                                                                   
#                           !define the field as specified in the file                                                              
#                            'epi2d_left' in the [.DOC] directory                                                                   
fem define fit;r;epi2d_left;example geom                                                                                                
#                           !define the fit as specified in the file                                                                
#                            'epi2d_laft' in the [.DOC] directory                                                                   
fem fit geom                 #fit the geometry                                                                                      
fem update node in 1         #update the node derivatives                                                                           
fem define node;e;dnefit2    #write the node definitions to a file                                                                  
fem define base;r;epi2d_2;doc#lamda, theta and mu BC.H angle change                                                                 
fem update node deriv in 2   #calculate theta derivatives based on linear                                                           
#                            change                                                                                                 
fem update node deriv in 3   #calculate mu derivatives based on linear                                                              
#                            change                                                                                                 
fem update node deriv        #recalculate derivatives o flamda, theta, mu                                                           
#                            with respect to length                                                                                 
fem define base;r;epi2d_3;doc#lamda, mu and theta:BC.H arc length                                                                   
fem change coor to 1         #change to rectangular cartesian                                                                       
fem quit                     #exit from CMISS                                                                                       
