#Example_2183  Fit a rectangular cartesian mesh to catscan femur data                                                               
                                                                                                                                    
fem                          #set the FEM environment                                                                               
fem define coor;r;femur;example  #defines coordinates as 3D rectangular cartesian                                                       
fem define base;r;femur;example  #bicubic Hermite, arc length s.f.                                                                      
fem define node;r;femur;example  #defines 112 nodes                                                                                     
fem define element;r;femur;example #reads in definition for the 104 elements                                                            
fem define window;c          #calculates the window to accommodate the mesh                                                         
fem define line;c            #calculates the scale factors                                                                          
fem define data;r;femur;example  #defines data for the head and shaft                                                                   
fem define base;r;femur_bilin;example #change to bilinear basis                                                                         
fem define data;c xi centroid new in 65..72 cluster 72                                                                              
#                            !finds data projections onto bilinear elements                                                         
#                             using the centroids of each scan plane as                                                             
#                             origins for the projection                                                                            
fem define base;r;femur;example  #change back to bilinear basis                                                                         
fem define data;c xi centroid old in 65..72 cluster 72 #or else use...                                                              
fem define data;r;femur;example xi #...predefined xi coordinates                                                                        
fem change data weight 0.01 in 1..8 #these elements should be governed...                                                           
fem change data weight 0.01 in 50,54,55,56 #...by their neighbours                                                                  
fem define field;r;femur;example #read in the field definition from file                                                                
fem define fit;r;femur_1;example geom                                                                                                   
#                            !this definition has some stiffness in certain                                                         
#                             elements, node 1 derivatives fixed, and nodes                                                         
#                             1,2,3,4,37,41,43 tied to node 1                                                                       
fem fit                      #fit x                                                                                                 
fem update node in 1         #overwrite x                                                                                           
fem define fit;r;femur_2;example geom #read in new definition                                                                           
fem fit                      #fit y                                                                                                 
fem update node in 2         #overwrite y                                                                                           
fem define fit;r;femur_3;example geom #read in new definition                                                                           
fem fit                      #fit z                                                                                                 
fem update node in 3         #overwrite z                                                                                           
fem update node deriv        #rescale derivatives so d(x,y,z)/ds is normalised                                                      
fem define line;c            #recalculate arc length scale factors                                                                  
fem define node;w;femur_fit  #write new node information to a file 'femur_fit'                                                      
fem quit                     #exit form CMISS                                                                                       
