#Example 2194 Fit epicardial geometry.                                                                                              
                                                                                                                                    
#                                 before running this *.com file you must create                                                    
#                                 file h00_ep_ed**.ipnode.  This is identical to                                                    
#                                 h00_ep.ipnode except you should adjust the mu                                                     
#                                 values for nodes 9,10,11,12 to that for the                                                       
#                                 bottom of the RV (h00_rv_**), and adjust the                                                      
#                                 theta values of nodes 1 to 12. (ie theta for                                                      
#                                 nodes 1,2,4,5,6,8,9,10,12 should correspond                                                       
#                                 with the appropriate nodes in the RV and nodes                                                    
#                                 3,7,11 should be spaced evenly between their                                                      
#                                 adjacent nodes).                                                                                  
fem assign;p HEART               #type in the heart number you wish to work                                                         
#                                 with (02 in this example)                                                                         
fem define coordinates;r;h00;example #reads coordinate system definitions                                                               
fem define base;r;h00_ep_sfcalc;example                                                                                                 
#                                !reads basis function definitions                                                                  
fem define elements;r;h00_ep;example #reads element definitions                                                                         

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define node;r;h00_ep_ed//HEART                                                                                                  
fem define node;r;h00_ep_edHEART

#                                !reads edited node definitions (see note above)                                                    

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define data;r;H//HEART//_ep;example geometry                                                                                        
fem define data;r;HHEART_ep;example geometry

#                                !reads geometric data for epicardium                                                               
fem assign;p FOCUS               #you will be prompted to enter the focal                                                           
#                                 length                                                                                            
fem change focus FOCUS           #the standard focus is now overwritten with                                                        
#                                 the new value                                                                                     
fem define window;c on 4         #calculates the window size                                                                        
fem define map hammer            #opens window (4) for hammer projection                                                            
fem draw line on 4               #draws the mesh in window 4                                                                        
fem draw data on 4               #plots data on window 4                                                                            
fem draw node on 4               #show node numbers on window 4                                                                     
fem change node;m on 4           #move nodes at the base down near the data.                                                        
#                                 Move the mouse to highlight a node, click                                                         
#                                 the LH button to select, click again in new                                                       
#                                 position.  Click middle button to exit                                                            
fem define nodes;w;h00_ep_temp   #now change theta to its original value                                                            
#                                 (rads) for each node moved by editing the                                                         
#                                 temporary node file h00_ep_temp.ipnode in                                                         
#                                 another window before pressing return.  The                                                       
#                                 original values are in h00_ed_ed**.ipnode.                                                        
#                                 See figure Heart 02 Data "Ep".                                                                    
fem assign;p return                                                                                                                 
fem define nodes;r;h00_ep_temp   #read new node positions from edited node file                                                     
fem define line;c                #calculates new line positions                                                                     
fem update mesh                  #redraws element boundaries with new nodal                                                         
#                                 parameters                                                                                        
fem define base;r;h00_ep_sfread;example                                                                                                 
#                                !reads basis function definitions from                                                             
#                                 h00_ep_sfread                                                                                     

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define line;w;h00_ep_//HEART #writes lines to a new file h00_ep_02                                                              
fem define line;w;h00_ep_HEART #writes lines to a new file h00_ep_02

fem define data;c xi             #calculates data xi coordinates with respect                                                       
#                                 to mesh                                                                                           
fem define field;r;h00_ep;example    #defines basis type for fitted variable                                                            
fem define fit;r;h00_ep;example geometry                                                                                                
#                                !specifies fit parameters                                                                          
fem fit geometry                 #fits the data                                                                                     
fem update node in 1             #updates fitted parameters at nodes                                                                

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define node;w;H//HEART//_ep  #writes fitted nodal parameters to a new                                                           
fem define node;w;HHEART_ep #writes fitted nodal parameters to a new

#                                 file H02_ep.ipnode                                                                                
fem list data error              #lists the errors in the data of each element                                                      
#                                 in comparion with the fitted geometry                                                             
fem define window;c on 1,2,3     #calculate window sizes                                                                            
fem draw line on 1,2,3           #brings up windows 1 and 2 and draws mesh in                                                       
#                                 windows 1,2 and 3.  See figure Heart 02 PA                                                        
#                                 and lateral views "EP"                                                                            
fem quit                                                                                                                            
                                                                                                                                    
