#Example 2195 Fit LV endocardial geometry                                                                                           
                                                                                                                                    
#                                 before running this *.com file you must create                                                    
#                                 file h00_lv_ed**.ipnode.  This is identical to                                                    
#                                 h00_ep_ed**.ipnode except you should adjust                                                       
#                                 the node numbers .(ie epicardial nodes = 1..12                                                    
#                                 LV nodes = 29..41).                                                                               
fem assign;p HEART               #type in the heart number you wish to work                                                         
#                                 with (02 in this example)                                                                         
fem define coordinates;r;h00;example #reads coordinate system definitions for                                                           
#                                 standard prolate spheroid                                                                         
fem define base;r;h00_ep_sfcalc;example                                                                                                 
#                                !reads basis function definitions                                                                  
fem define elements;r;h00_lv;example #reads element definitions                                                                         

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define nodes;r;h00_lv_ed//HEART                                                                                                 
fem define nodes;r;h00_lv_edHEART

#                                !reads node definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define data;r;H//HEART//_lv;example geometry                                                                                        
fem define data;r;HHEART_lv;example geometry

#                                !reads geometric data                                                                              
fem assign;p FOCUS               #you will be prompted to enter the focal                                                           
#                                 length                                                                                            
fem change focus FOCUS           #standard focus is now overwritten with new                                                        
#                                 value                                                                                             
fem define window;c on 4         #calculates the window size                                                                        
fem define map hammer            #opens window (4) for hammer projections                                                           
fem draw line on 4               #draws mesh on window 4                                                                            
fem draw node on 4               #show node numbers in window 4                                                                     
fem draw data on 4               #plot data on window 4                                                                             
fem change node;m on 4           #move nodes to draw boundary mesh lines                                                            
#                                 closer to data using the mouse                                                                    
fem define nodes;w;h00_lv_temp   #now change theta back to the original value                                                       
#                                 for each node moved.  By editing the                                                              
#                                 temporary node file h00_lv_temp.ipnode in                                                         
#                                 another window before pressing return.  The                                                       
#                                 original values are in h00_lv_ed**.ipnode.                                                        
#                                 See figure Heart 02 Data LV En                                                                    
fem assign;p return                                                                                                                 
fem define nodes;r;h00_lv_temp   #reads in edited nodal parameters                                                                  
fem define line;c                #calculates new line positions                                                                     
fem update mesh                  #redraws element boundaries                                                                        
fem define base;r;h00_ep_sfread;example                                                                                                 
#                                !reads in the basis function from file                                                             

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define line;w;h00_lv_//HEART #write lines to a new file h00_lv_02                                                               
fem define line;w;h00_lv_HEART #write lines to a new file h00_lv_02

fem define data;c xi             #calculates data xi coordinates with respect                                                       
#                                 to mesh                                                                                           
fem define field;r;h00_lv;example    #defines basis type for fitted variable                                                            
fem define fit;r;h00_lv_ed;example geometry                                                                                             
#                                !specifies fit parameters (extra smoothing                                                         
#                                 has been applied in elements 5,8,9,12)                                                            
fem fit geometry                 #fits the data                                                                                     
fem update node in 1             #updates fitted parameters at nodes                                                                

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define node;w;H//HEART//_lv  #writes fitted nodal parameters to file                                                            
fem define node;w;HHEART_lv #writes fitted nodal parameters to file

#                                 (H02_lv.ipnode)                                                                                   
fem list data error              #lists the error in the data of each element                                                       
#                                 in comparison with the fitted geometry.                                                           
fem define window;c on 1,2,3     #calculate window sizes                                                                            
fem draw line on 1,2,3           #draws mesh in windows 1,2 and 3.                                                                  
#                                 See figure Heart 02 lateral and PA views "LV"                                                     
fem quit                                                                                                                            
