#Example 2196 Calculate xi coordinates for the RV septal endocardial data                                                           
                                                                                                                                    
fem assign;p HEART               #type in the heart number you wish to work                                                         
#                                 with (02 in this example)                                                                         
fem define coordinates;r;h00;example #reads coordinate system definitions from                                                          
#                                 file for standard prolate spheroid                                                                
fem define base;r;h00_ep_sfcalc;example                                                                                                 
#                                !reads basis function definitions                                                                  
fem define elements;r;h00_rs;example #reads element definitions                                                                         

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define nodes;r;H00_rv_//HEART                                                                                                   
fem define nodes;r;H00_rv_HEART

#                                !reads node definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define data;r;H//HEART//_rs;example geometry                                                                                        
fem define data;r;HHEART_rs;example geometry

#                                !reads geometric data file                                                                         
fem assign;p FOCUS               #prompts you to enter a focal point                                                                
fem change focus FOCUS           #standard focus is overwritten with new                                                            
#                                 value                                                                                             
fem define lines;c               #calculates new lines                                                                              
fem define window;c on 4         #calculate window size                                                                             
fem define map hammer            #opens window (4) for hammer projection                                                            
fem draw node on 4               #shows node numbers on window 4                                                                    
fem draw line on 4               #draws element boundary mesh on window 4                                                           
fem draw data on 4               #plots data on window 4                                                                            
fem define base;r;h00_ep_sfread;example                                                                                                 
#                                !reads basis function definitions                                                                  

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define line;w;h00_rs_//HEART #writes lines to a new file h00_rs_02                                                              
fem define line;w;h00_rs_HEART #writes lines to a new file h00_rs_02

fem define data;c xi             #calculates data xi coordinartes with respect                                                      
#                                 to mesh                                                                                           

# Command updated by fixcom.sh on Wed Aug 23 17:48:04 NZT 2000
# Old command: fem define data;w;H//HEART//_rs xi                                                                                                  
fem define data;w;HHEART_rs xi

#                                !writes the xi values for each data point to                                                       
#                                 the file H02_rs.ipxi                                                                              
fem quit                                                                                                                            
