$MULTIPLEFITS=0

FEM def para;r;sternum;example
FEM def coor;r;sternum;example
FEM def base;r;sternum;example
#
# Reads in an initial mesh and calculates linear approximations
#  for the derivatives
#
FEM def node;r;sternum;example
FEM def elem;r;sternum;example
FEM up node deriv 1 linear
FEM up node deriv 2 linear
FEM up node deriv 3 linear
FEM update scale_factor normalise
#
# The initial mesh
#
FEM export node;sternum_init as sternum_init offset 1000
FEM export elem;sternum_init as sternum_init offset_elem 1000
#
# Calculate the intial xi projections
#
FEM def data;r;sternum;example
FEM def xi;c closest_face search 3 external
FEM li data err 
FEM export data;sternum_data as sternum_data error
#
# Setup the fitting problem
#
FEM up field from geometry
FEM def fit;r;sternum;example geometry
