#cmgui script to view fit for example 21l

sub setupgroup {
  my $group = shift;
  my $material = shift;
  my $vis = shift;
  my $glyph = shift;
  gfx modify g_element $group general clear circle_discretization 6 default_coordinate coordinates element_discretization "20*20*20" native_discretization none;
  gfx modify g_element $group lines select_on material default selected_material default_selected;
  gfx modify g_element $group element_points glyph point general size "1*1*1" centre 0,0,0 label cmiss_number use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on material default selected_material default_selected;
  gfx modify g_element $group element_points glyph point general size "1*1*1" centre 0,0,0 use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on material default selected_material default_selected;
  gfx modify g_element $group cylinders constant_radius 0.3 select_on material default selected_material default_selected;
  gfx modify g_element $group node_points glyph $glyph general size "3*3*3" centre 0,0,0 select_on material default selected_material default_selected;
  gfx modify g_element $group data_points glyph $glyph general size "1*1*1" centre 0,0,0 select_on material $material selected_material default_selected;
  gfx modify g_element $group surfaces select_on material $material selected_material default_selected render_shaded;
  gfx set vis $group $vis;
}

# the intial mesh

gfx read node collapse_initial;
gfx read elem collapse_initial;
setupgroup( "collapse_initial" , "white", "off", "sphere");

#fitted mesh

gfx read node collapse_fitted;
gfx read elem collapse_fitted;
setupgroup( "collapse_fitted" , "green", "on", "sphere");

# data

gfx read data collapse;
setupgroup( "collapse" , "white", "on", "point");

gfx cre win;
#gfx mod win 1 layout width 1024 height 768;
gfx mod win 1 layout width 800 height 600;
gfx edit scene;

