#Refines the epicardial geometry mesh and fits epicardial fibre field                                                               
fem assign;p HEART            #type in the heart number you want to work                                                            
#                              with (02 in this example)                                                                            
fem define coordinates;r;h00;example                                                                                                    
#                             !reads coordinate system definitions from file                                                        
#                              for standard prolate spheroid                                                                        
fem define base;r;h00_ep_sfread;example                                                                                                 
                              #reads basis function definitions                                                                     
fem define elements;r;h00_ep;example                                                                                                    
#                             !reads element definitions                                                                            

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command: fem define nodes;r;H//HEART//_ep;example                                                                                                
fem define nodes;r;HHEART_ep;example

#                             !reads node definitions                                                                               

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command: fem define lines;r;h00_ep_//HEART;example                                                                                               
fem define lines;r;h00_ep_HEART;example

#                             !reads line definitions                                                                               
fem define window;c on 4      #calculate window size                                                                                
fem define map hammer         #opens window (4) for hammer projection                                                               
fem draw lines on 4           #draws element boundary mesh on window 4                                                              


















fem update mesh               #draws refined mesh                                                                                   
fem draw nodes on 4           #shows node numbers on window 4                                                                       

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command: fem define nodes;w;H//HEART//_ep_ref                                                                                                
fem define nodes;w;HHEART_ep_ref

#                             !writes updated node definitions to file                                                              
#                              h02_ep_ref.ipnode                                                                                    

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command: fem define lines;w;h00_ep_ref_//HEART                                                                                               
fem define lines;w;h00_ep_ref_HEART

                              #write updated line definitions to file                                                               
#                              h00_ep_ref_**.ipline                                                                                 
fem define fibre;r;h00_ep_ref_f;example                                                                                                 
#                             !reads standard fibre definitions                                                                     

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command: fem define data;r;H//HEART//_ep_f;example fibre                                                                                         
fem define data;r;HHEART_ep_f;example fibre

#                             !reads fibre data from file h02_ep_f.ipdata                                                           
fem define data;c xi          #calculates data xi coordinates with respect                                                          
#                              to mesh                                                                                              
fem draw data fibre on 4      #draws fibre data on window 4                                                                         
fem change data fibre -120 60 #moves fibre data into set angle range                                                                
fem define fit;r;h00_ep_ref_f;example fibre                                                                                                 
#                             !specifies fit parameters                                                                             
fem fit fibre                 #fits the fibre data                                                                                  

# Command updated by fixcom.sh on Wed Aug 23 17:48:07 NZT 2000
# Old command: fem define fibre;w;H//HEART//_ep_ref_f                                                                                              
fem define fibre;w;HHEART_ep_ref_f

#                             !writes the fitted fibre parameters to new                                                            
#                              file h02_ep_ref_f.ipfibr                                                                             
fem draw fibre on 4           #draws fitted fibres on window 4                                                                      
fem assign;p return           #pauses until you press return                                                                        
fem hide data on 4            #removes the original fibre data from window 4                                                        
fem quit                                                                                                                            
