#Example_2221  Fit sheet data with 4 element prolate mesh                                                                           
                                                                                                                                    
fem define coordinates;r;example_2221;example #set coords to 3D prolate spheroidal                                                      
fem define bases;r        #read trilinear and bilinear bases                                                                        
fem define nodes;r        #read 10 nodes                                                                                            
fem define elements;r     #read 4 elements                                                                                          
fem define fibre;r        #read fibre angles                                                                                        
fem define sheet;r        #set up sheet basis and set angles to zero                                                                
fem define window;c       #compute window size                                                                                      
fem draw lines            #draw mesh                                                                                                
fem define data;r sheet   #read sheet data                                                                                          
fem list data             #note that sheet angles are defined, not corrected                                                        
fem draw data             #draw positions at which sheet angles are defined                                                         
fem draw cross radial theta=322  #draw wall cross-section at constant theta                                                         
fem draw data sheet theta=322 #draw sheet angle vectors                                                                             
fem define data;c xi      #calculate xi positions                                                                                   
fem define data;c sheet   #correct sheet data                                                                                       
fem list data             #note that sheet angles are defined and corrected                                                         
fem draw cross normal theta=322  #draw cross-section normal to inside wall                                                          
fem draw data sheet theta=322 #draw corrected sheet angle vectors                                                                   
fem define fit;r sheet    #read fitting parameters                                                                                  
fem list fit              #list parameters of fit                                                                                   
fem fit sheet             #fit sheet angles                                                                                         
fem list node             #list fitted sheet angles                                                                                 
fem draw sheet normal theta=322  #draw fitted sheet angles on normal plot                                                           
fem quit                                                                                                                            
