#Example_331 Transient heat flow in a plate                          
                                                                    
fem                            #set the FEM environment               
fem define nodes;r;trplate;example #6 nodes to describe a plate
fem define window;c            #calculate the window size             
fem define bases;r;;example        #read the bilinear basis function
fem define elements;r;;example     #defines two elements
fem draw lines                 #make the line segments visible        
fem draw elements              #make the element numbers visible       
fem draw nodes                 #make the node numbers visible          
fem define equation;r;;example      #we are dealing with a TIME DEPENDENT
#                              !  ADVECTION-DIFFUSION equation.  Use 
#                              !  default options for other choices
fem define material;r;;example      #see manual for advection-diffusion 
#                              !  equation.  If in doubt, entering ? at
#                              !  the question prompt will give further
#                              !  explanation.  We wish to set k 
#                              !  (storage coefficient) and each Di
#                              !  (diffusivity) to 1 and the rest to 0 
fem define initial;r;;example       #set the boundary conditions as in 
#                              !  Example_311 (with zero as the initial 
#                              !  condition)                           
fem define solve;r;;example         #use a linear time integration algorithm
#                              !  with automatic stepping and an 
#                              !  initial time increment of 0.001s. Use
#                              !  default options for other choices  
fem list equation              #list the equation parameters      
fem list materials             #list the material parameters           
fem list initial               #list the initial and boundary 
#                              !  conditions                          
fem list solve                 #list the solution parameters.  The time
#                              !  integration is (by default) from t=0 
#                              !  to t=1s. The time increment is 
#                              !  initially 0.0001s  but this increases
#                              !  when the solution is changing slowly
fem solve                      #performs the time integration          
fem display history            #shows the temperature time history at 
#                              !  all nodes                           
#fem display section at 1,2,3  !shows the changing temperature profile 
#                              !yet to be updated
fem draw contour dependent value 0..10:1  #draws contours 0 to 10 in 
#                              !  steps of 1 degree                    
fem draw field                 #this will give a shading of the         
#                              !  temperature field                  
