#Example_3321 Transient diffusion example 1      
                                                                      
fem                             #Set the FEM environment 
fem define coordinates 1,1      #Set the coordinates to be 1 ie. 1D
fem define nodes;r;diffusion1;example #Read in 5 nodes at delta x = 0.25 
fem define bases;r;;example         #Defines a linear basis function
fem define elements;r;;example      #Read in four elements
fem define equation;p           #Define a TIME INTEGRATION analysis of 
#                               !  the ADVECTION-DIFFUSION equation
#                               !  using GALERKIN FINITE ELEMENTS with 
#                               !  LINEAR ANALYSIS. Default all other questions
fem list equation               #List the problem type parameters   
fem define material;p           #Define material properties. Set both the
#                               !  constant and linear source terms to zero,
#                               !  the storage and diffusion coefficient to
#                               !  1 and the mass flow to zero. 
fem define initial;p            #Define some initial conditions. The initial
#                               !  solution is zero. Node 1 is set to zero
#                               !  and node 5 is set to 1.     
fem define solve;p              #Defines solver options. Default all options
#                               !  except set the final time to 1 second and
#                               !  the time increment to 0.15 seconds.
fem solve                       #Solve the time integration problem
fem display history             #Display the nodal time history.
