#Example_334 Radiation contamination of Lake Pacific   
                                                                      
fem                             #Set the FEM environment 
fem define nodes;r;muroroa;example  #Read in the nodes to define Lake Pacific
fem define window;c             #Calculate the window size
fem define bases;r;;example     #Defines a bilinear basis function
fem define elements;r;;example  #Read in the elements
fem draw line                   #Draw the lines
fem draw nodes                  #Draw the nodes. The river enters the lake at
#                               !  node 1 and muroroa island is at node 13.
fem define equation;p           #Define a TIME INTEGRATION analysis of 
#                               !  the ADVECTION-DIFFUSION equation
#                               !  using GALERKIN FINITE ELEMENTS with 
#                               !  LINEAR ANALYSIS. Default all other options.
fem define material;p           #Define material properties. Set the constant
#                               !  and linear source terms to zero, the
#                               !  storage coefficient and both diffusion
#                               !  coefficients to 1, the mass flow in the
#                               !  x direction to 0.5 and the mass flow in 
#                               !  y direction to 1.0.
fem define initial;p            #Define some initial conditions. The initial
#                               !  solution is zero. Set node 13 to 1.0 (to
#                               !  represent maximum contamination), and
#                               !  node 1 to 0.0 (to represent minimum 
#                               !  contamination where the river enters the
#                               !  lake). Set all boundary nodes (other than
#                               !  1) to have integrated fluxes of zero 
#                               !  (the water cannot leave the lake).
#                               !  The boundary nodes are: 2,3,4,5,10,
#                               !  15,20,25,24,23,22,21,16,11,6
fem define solve;p              #Defines solver options. Default all options
#                               !  except set the final time to 1 seconds and
#                               !  the time increment to 0.05 seconds.
fem solve                       #Solve the time integration problem
fem draw field animate          #Show the contamination field over time.
#                               !  Note this may take a little while.
