#Example_5513  Inflation of a prolate element incomp + fluid shift pole-zero
#             material

fem
fem define coordinates;r;prolfluid;example #3D prolate spheroidal
fem define nodes;r;;example                #4 nodes of previous example
fem define bases;r;;example                #trilinear + quartic hydr. pressure
fem define element;r;;example              #single axisymmetric element
fem define fibre;r;;example                #fibre angles of prev example
fem define element;r;;example fibre        #fibre elements
fem define window
fem draw lines
fem define equation;r;;example             #3D, finite elasticity, FEM
fem define material;r;;example             #incomp+fluid; pole-zero law
fem define initial;r;;example              #inflate to 2kPa
fem define solve;r;;example                #Newton with GMRES
fem solve increment 0.1 iterate 3
fem solve increment 0.4 iterate 3
fem solve increment 0.5 iterate 12         #should take 10 iterations here 
fem draw lines def dot
fem list strain xi 3 p 3                   #transmural strains
fem list stress xi 3 p 3                   #transmural stresses
