#PJH 30Jun1998
#Material parameter fitting by least squares (fit c1 & c2 parameters)
#A 48 element membrane is read in with two sets of coords & loads

FEM de node;r;mesh;example             #69 nodes
FEM de base;r;mesh;example             #bilinear
FEM de elem;r;mesh;example             #48 elements
FEM de fibr;d
FEM de elem;d fibre
FEM de wind
FEM dr line
refresh graphics

FEM de equa;r;mesh;example             #finite elasticity membrane
FEM de mate;r;mesh;example             #Mooney-Rivlin c1=1, c2=0.2 both node based
FEM de init;d                          #initial conditions

#FEM de opt;r;test;example             !1 param only in fit
#FEM eval resid with 1,1,1,1,0.2,0.2,0.2,0.2 !correct values, so resids=0
#FEM eval resid num_deriv              !gives RESJAC matrix (#resids x #params)

FEM de field;r;mesh;example            #setup field variable for material param fit
FEM de elem;r;mesh;example field

FEM de fit;r;mesh;example material resid #define fit for material params to residuals
#----------------------------data set 5--------------------------------
FEM de node;r;coord5;example dep 11 nc 1 #read in deformed coords to YP(ny,1)
FEM de node;r;force5;example dep 11 nc 2 #read in nodal forces to YP(ny+NYT,1)
FEM dr line def rgb=blue
FEM dr reac iy=11 nc=2 scale 50        #shows bdry forces
refresh graphics
#----------------------------data set 9--------------------------------
FEM de node;r;coord9;example dep 12 nc 1 #read in deformed coords to YP(ny,1)
FEM de node;r;force9;example dep 12 nc 2 #read in nodal forces to YP(ny+NYT,1)
FEM dr line def rgb=blue
FEM dr reac iy=12 nc=2 scale 50        #shows bdry forces
refresh graphics
#----------------------------------------------------------------------
FEM fit        #least-squares fit of material params to nodal residuals

FEM list mate using solve #list original material parameters  (c1=1,c2=0.2)
FEM list mate using fit   #list fitted material parameters (c1,c2 at 4 nodes)
#FEM dr strain scale 20 

