foreach $index (@DATASETS) {							#Loopes through the deformed states
	
	fem define initial;r;initskinsolve_cube;example				#Defines a force boundary problem
	fem define solve;r;solve;example

	fem define nodes;r;displacements_cube_${index};example dep 2 nc 1
	fem define nodes;r;force_cube_${index};example dep 2 nc 2		#Reads the experimentaly applied forces
	fem define nodes;r;force_cube_residual;example dep 1 nc 2		#Reads the residual forces estimated in example 7181

	fem solve increment 0.01 iterate 100 error 0.00000001
	fem solve increment 0.09 iterate 100 error 0.00000001
	for $M (1..9)
	{
		fem solve increment 0.1 iterate 100 error 0.00000001		#Solves the force boundary problem in 11 increments
	}

	fem evaluate residual wrt data_fitting function deformed data IMAGE_${index}  #Evaluates geometric residuals on the datapoints

	fem list data errors deformed 

}
