#
#inflation
#
#set out;steps_inflate on

$name1 = "heart"
$iters = 30
$tolerance = 0.1
$tol = $tolerance

$nFiles = 5
$increment = 1/$nFiles

#
#increase cavity pressures incrementally 
#to simulate diastole.
#

for ($press = 0; $press <= $nFiles; $press++)  
{

  if( $press < 1 )
  {
    $filename = "${name1}0$press"
    $increm = 0.0
  } 
  elsif( $press < 10 )
  {
    $filename = "${name1}0$press"
    $increm = $increment
  } 
  else
  {
    $filename = "${name1}$press"
    $increm = $increment
  }
  if( $press == $nFiles)
  {
    $tol = 1.0e-10
  }

  print "\n\n\nCalculating file #: $press\n"
 
  #if( $press == 18) 
  #{
  #  fem solve increment $increm iter $iters error $tol
  #  fem update gauss strain fibre components;
  #  fem export gauss;gauss_strain yg as gauss_strain;
  #  fem export nodes;heart18 field as heart
  #  fem export elements;heart18 field as heart
  #}
  #else
  #{
  #  fem solve increment $increm iter $iters error $tol
  #}

  fem solve increment $increm iter $iters error $tol

  #fem solve increment $increm iter $iters
  #fem export nodes;$filename field as heart
  #fem export elements;$filename field as heart
  #fem define initial;w;$filename
  
  #system "sed 's/ields=2/ields=3/g' $filename.exnode > $filename.exnode_tmp"
  #system "sed 's/1) def/2) def/g' $filename.exnode_tmp > $filename.exnode"
  #system "rm $filename.exnode_tmp"
}

#set out off
