#**************************************************
# starts the window setup
#**************************************************

gfx create material heart amb 0.3 0 0.3 diff 1 0 0 spec 0.5 0.5 0.5 shin 0.5
gfx set line_width 1.5
gfx create material white diff 1 1 1
gfx read nodes example heart1
gfx read elements example heart1
gfx set vis axes off
gfx cre texture htext1 image example htext1.rgb width 11 height 6
gfx def field heart_xi_texture xi_texture_coordinates seed 30
#gfx mod g_e heart surfaces exterior mat heart texture_coord heart_xi_texture
gfx mod g_e heart lines delete
gfx mod material heart texture htext1

gfx cre spectrum alp_s clear overlay_colour
gfx mod spec alp_s linear alpha range 0 1

gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 687 height 627
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0 
gfx modify window 1 view perspective eye_point -124.56 -133.348 -230.912 interest_point 9.7045 6.70545 -5.24321 up_vector -0.891988 0.210517 0.40005 view_angle 28.0051 near_clipping_plane 2.97605 far_clipping_plane 1063.54 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform current_pane 1 std_view_angle 40 normal_lines no_antialias slow_transparency
#
gfx cre eg endo add  49..50,31..32,39..42,101..102,109..110,99..100,91..92 from heart
gfx mod g_e endo lines delete

#**************************************************
# finishs the window setup
# now reads in the files and creates the surfaces needed at 
# each time step
#**************************************************

gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 0
#gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 10.1
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 20.1
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 30.1
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 0
#gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 10.1
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 20.1
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 30.1
gfx def fiel alp_v const value 1.0
gfx cre line   from heart as mesh   data alp_v spec alp_s time 20.1
gfx cre surfaces exterior  mat heart from heart as epi data alp_v spec alp_s  texture_coord heart_xi_texture time 0
gfx def fiel alp_v const value 0.0
gfx cre surfaces exterior mat heart from heart as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 30.1
#gfx cre surfaces exterior mat heart from heart as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 20.1
gfx dr  epi

gfx read nodes example heart9
gfx read elements example heart9
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 1
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 11
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 21
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 31
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 1
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 11
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 21
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 31
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart9 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 1
gfx mod g_e heart9 lines delete
gfx def fiel alp_v const value 0.9
gfx cre surfaces exterior mat heart from heart9 as epi data alp_v spec alp_s texture_coord heart_xi_texture time 11
gfx cre line   from heart9 as mesh   data alp_v spec alp_s time 31
gfx def fiel alp_v const value 0.1
gfx cre surfaces exterior mat heart from heart9 as epi data alp_v spec alp_s texture_coord heart_xi_texture time 31

gfx def fiel alp_v const value 1.0
gfx cre line   from heart9 as mesh   data alp_v spec alp_s time 21
gfx dr mesh

gfx read nodes example heart19
gfx read elements example heart19
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 2
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 12
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 22
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 32
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 2
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 12
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 22
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 32
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart19 as epi data alp_v spec alp_s  texture_coord heart_xi_texture time 2
gfx mod g_e heart19 lines delete
gfx def fiel alp_v const value 0.8
gfx cre line   from heart19 as mesh   data alp_v spec alp_s time 32
gfx cre surfaces exterior  mat heart from heart19 as epi data alp_v spec alp_s texture_coord heart_xi_texture time 12
gfx def fiel alp_v const value 0.2
gfx cre surfaces exterior  mat heart from heart19 as epi data alp_v spec alp_s texture_coord heart_xi_texture time 32
gfx def fiel alp_v const value 1.0
gfx cre line   from heart19 as mesh   data alp_v spec alp_s time 22


gfx read nodes example heart29
gfx read elements example  heart29
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 3
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 13
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 23
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 33
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 3
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 13
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 23
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 33
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart29 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 3
gfx mod g_e heart29 lines delete
gfx def fiel alp_v const value 0.7
gfx cre line   from heart29 as mesh   data alp_v spec alp_s time 33
gfx cre surfaces exterior  mat heart from heart29 as epi data alp_v spec alp_s   texture_coord heart_xi_texture time 13
gfx def fiel alp_v const value 0.3
gfx cre surfaces exterior  mat heart from heart29 as epi data alp_v spec alp_s   texture_coord heart_xi_texture time 33
gfx def fiel alp_v const value 1.0
gfx cre line   from heart29 as mesh    data alp_v spec alp_s time 23

gfx read nodes example heart34
gfx read elements example  heart34
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 3.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 13.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 23.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 33.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 3.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 13.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 23.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 33.5
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart34 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 3.5
gfx mod g_e heart34 lines delete
gfx def fiel alp_v const value 0.65
gfx cre line   from heart34 as mesh   data alp_v spec alp_s time 33.5
gfx cre surfaces exterior  mat heart from heart34 as epi data alp_v spec alp_s  texture_coord heart_xi_texture time 13.5
gfx def fiel alp_v const value 0.35
gfx cre surfaces exterior  mat heart from heart34 as epi data alp_v spec alp_s  texture_coord heart_xi_texture time 33.5
gfx def fiel alp_v const value 1.0
gfx cre line   from heart34 as mesh    data alp_v spec alp_s time 23.5


gfx read nodes example heart39
gfx read elements example  heart39
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 4
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 14
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 24
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 34
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 4
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 14
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 24
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 34
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart39 as epi  data alp_v spec alp_s   texture_coord heart_xi_texture time 4
gfx mod g_e heart39 lines delete
gfx def fiel alp_v const value 0.6
gfx cre line   from heart39 as mesh   data alp_v spec alp_s time 34
gfx cre surfaces exterior  mat heart from heart39 as epi data alp_v spec alp_s  texture_coord heart_xi_texture time 14
gfx def fiel alp_v const value 0.4
gfx cre surfaces exterior  mat heart from heart39 as epi data alp_v spec alp_s  texture_coord heart_xi_texture time 34
gfx def fiel alp_v const value 1.0
gfx cre line   from heart39 as mesh    data alp_v spec alp_s time 24


gfx read nodes example heart44
gfx read elements example  heart44
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 4.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 14.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 24.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 34.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 4.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 14.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 24.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 34.5
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart44 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 4.5
gfx mod g_e heart44 lines delete
gfx def fiel alp_v const value 0.55
gfx cre line   from heart44 as mesh    data alp_v spec alp_s time 34.5
gfx cre surfaces exterior  mat heart from heart44 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 14.5
gfx def fiel alp_v const value 0.45
gfx cre surfaces exterior  mat heart from heart44 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 34.5
gfx def fiel alp_v const value 1.0
gfx cre line   from heart44 as mesh    data alp_v spec alp_s time 24.5



gfx read nodes example heart46
gfx read elements example  heart46
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 4.7
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 14.7
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 24.7
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 34.7
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 4.7
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 14.7
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 24.7
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 34.7
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart46 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 4.7
gfx mod g_e heart46 lines delete
gfx def fiel alp_v const value 0.53
gfx cre line   from heart46 as mesh    data alp_v spec alp_s time 34.7
gfx cre surfaces exterior  mat heart from heart46 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 14.7
gfx def fiel alp_v const value 0.47
gfx cre surfaces exterior  mat heart from heart46 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 34.7
gfx def fiel alp_v const value 1.0
gfx cre line   from heart46 as mesh    data alp_v spec alp_s time 24.7



gfx read nodes example heart49
gfx read elements example  heart49
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 15
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 25
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 35
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 15
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 25
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 35
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart49 as epi  data alp_v spec alp_s   texture_coord heart_xi_texture time 5
gfx mod g_e heart49 lines delete
gfx def fiel alp_v const value 0.5
gfx cre line   from heart49 as mesh    data alp_v spec alp_s time 35
gfx cre surfaces exterior  mat heart from heart49 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 15
gfx def fiel alp_v const value 0.5
gfx cre surfaces exterior  mat heart from heart49 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 35
gfx def fiel alp_v const value 1.0
gfx cre line   from heart49 as mesh    data alp_v spec alp_s time 25



gfx read nodes example heart52
gfx read elements example  heart52
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 5.3
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 15.3
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 25.3
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 35.3
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 5.3
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 15.3
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 25.3
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 35.3
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart52 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 5.3
gfx mod g_e heart52 lines delete
gfx def fiel alp_v const value 0.47
gfx cre line   from heart52 as mesh    data alp_v spec alp_s time 35.3
gfx cre surfaces exterior  mat heart from heart52 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 15.3
gfx def fiel alp_v const value 0.53
gfx cre surfaces exterior  mat heart from heart52 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 35.3
gfx def fiel alp_v const value 1.0
gfx cre line   from heart52 as mesh    data alp_v spec alp_s time 25.3



gfx read nodes example heart55
gfx read elements example  heart55
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 5.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 15.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 25.5
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 35.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 5.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 15.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 25.5
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 35.5
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart55 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 5.5
gfx mod g_e heart55 lines delete
gfx def fiel alp_v const value 0.45
gfx cre line   from heart55 as mesh    data alp_v spec alp_s time 35.5
gfx cre surfaces exterior  mat heart from heart55 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 15.5
gfx def fiel alp_v const value 0.55
gfx cre surfaces exterior  mat heart from heart55 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 35.5
gfx def fiel alp_v const value 1.0
gfx cre line   from heart55 as mesh    data alp_v spec alp_s time 25.5



gfx read nodes example heart59
gfx read elements example  heart59
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 6
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 16
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 26
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 36
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 6
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 16
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 26
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 36
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart59 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 6
gfx mod g_e heart59 lines delete
gfx def fiel alp_v const value 0.4
gfx cre line   from heart59 as mesh    data alp_v spec alp_s time 36
gfx cre surfaces exterior  mat heart from heart59 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 16
gfx def fiel alp_v const value 0.6
gfx cre surfaces exterior  mat heart from heart59 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 36
gfx def fiel alp_v const value 1.0
gfx cre line   from heart59 as mesh    data alp_v spec alp_s time 26



gfx read nodes example heart69
gfx read elements example  heart69
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 7
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 17
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 27
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 37
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 7
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 17
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 27
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 37
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart69 as epi  data alp_v spec alp_s   texture_coord heart_xi_texture time 7
gfx mod g_e heart69 lines delete
gfx def fiel alp_v const value 0.3
gfx cre line   from heart69 as mesh    data alp_v spec alp_s time 37
gfx cre surfaces exterior  mat heart from heart69 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 17
gfx def fiel alp_v const value 0.7
gfx cre surfaces exterior  mat heart from heart69 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 37
gfx def fiel alp_v const value 1.0
gfx cre line   from heart69 as mesh    data alp_v spec alp_s time 27
gfx def fiel alp_v const value 0.0
gfx cre line   from heart69 as mesh    data alp_v spec alp_s time 17



gfx read nodes example heart79
gfx read elements example  heart79
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 8
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 18
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 28
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 38
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 8
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 18
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 28
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 38
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart79 as epi   data alp_v spec alp_s  texture_coord heart_xi_texture time 8
gfx mod g_e heart79 lines delete
gfx def fiel alp_v const value 0.2
gfx cre line   from heart79 as mesh    data alp_v spec alp_s time 38
gfx cre surfaces exterior  mat heart from heart79 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 18
gfx def fiel alp_v const value 0.8
gfx cre surfaces exterior  mat heart from heart79 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 38
gfx def fiel alp_v const value 1.0
#gfx cre eg endo add  49..50,31..32,39..42,101..102,109..110,99..100,91..92 from heart79

gfx dr endo2
gfx dr endo1

#gfx des eg endo

gfx cre line   from heart79 as mesh    data alp_v spec alp_s time 28
gfx def fiel alp_v const value 0.5
gfx cre line   from heart79 as mesh    data alp_v spec alp_s time 18



gfx read nodes example heart100
gfx read elements example  heart100
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 10
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 20
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 30
gfx cre surfaces as endo2 exterior  xi3_1 from endo mat heart texture_coord heart_xi_texture time 40
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 10
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 20
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 30
gfx cre surfaces as endo1 exterior xi3_0 mat heart texture_coord heart_xi_texture time 40
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart100 as epi  data alp_v spec alp_s   texture_coord heart_xi_texture time 10
gfx mod g_e heart lines delete
gfx mod g_e heart100 lines delete
gfx def fiel alp_v const value 0.0
gfx cre line   from heart100 as mesh   data alp_v spec alp_s time 40
gfx cre surfaces exterior  mat heart from heart100 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 20
gfx def fiel alp_v const value 1.0
gfx cre surfaces exterior  mat heart from heart100 as epi  data alp_v spec alp_s texture_coord heart_xi_texture time 40
gfx def fiel alp_v const value 1.0
gfx cre line   from heart100 as mesh   data alp_v spec alp_s time 30

#**************************************************
# finishs reading in the files and creating the surfaces needed at 
# each time step. Now sets up the time editor
#**************************************************



gfx create time_editor
gfx timekeeper default speed 5
gfx timekeeper default play minimum 0 maximum 40 loop
