#
# Initial model geometry from MRP01
#
$MRP01_GEOM_DIR="../../geometry/final/";
$MRP01_FIBR_DIR="../../fibres/new_face_fitting_method/";
$MRP02_DATA_DIR="../MRP02/";

set directory current $MRP01_GEOM_DIR;
read commands;MRP01;
set directory current "./";

fem define fibre;r;$MRP01_FIBR_DIR."MRP01";
fem define elem;r;$MRP01_FIBR_DIR."MRP01" fibre;

fem group elements all_elements as ALL_ELEMENTS;

#
# Fit myocardial sheets
# 
fem define data;r;$MRP02_DATA_DIR."MRP02_sheet_data_corrected" sheet;
#fem define data;r;$MRP02_DATA_DIR."MRP02_sheet_data_corrected-0" sheet;
#fem define data;r;$MRP02_DATA_DIR."MRP02_sheet_data_-45" sheet;
fem def xi;r;$MRP02_DATA_DIR."MRP02_sheet_data" 
fem define fit;r;myo sheet;
fem fit;


#
# New model with fibres & Sheets for MRP01
#
fem define fibre;w;MRP01;
fem export node;MRP01 as MRP01;
fem export elem;MRP01 as MRP01;
