# Example b231
# ------------
# WARNING - this example will not run as an example
#           it is for reference only.  

fem define para;r;cube;example

fem define regi;r;cube;example              #two regions
fem define coor;r;region1;example reg 1     #rect.cartesian
fem define coor;r;region2;example reg 2     #rect.cartesian

fem define base;r;cube;example              #define linear basis functions
fem define node;r;cube;example              #define nodes for tissue sample
fem define elem;r;cube;example              #define elemnets for tissue sample

fem define node;r;cleavage;example reg 2    #cleavage plane nodes (3009)
fem define elem;r;cleavage;example reg 2    #cleavage plane elements (1442)

fem define fibr;d                   #default fibre angle
fem define elem;r;cube;example fibre
fem define grid;r;cube;example              #grid density = 70*16*16
fem update grid geometry
fem update grid metric level 1

# Define grid connectivity information in tissue 
# element,(region 1) from cleavage information in region 2
fem update grid connectivity      
fem group grid external as boundary

fem define equa;r;cube;example              #cubic monodomain
fem define mate;r;cube;example
fem define cell;r;cube;example
fem update grid material

fem group grid grid 5252,5253,6372,6373,7492,7493,8612,8613,9732,9733,10852,10853 as gp0
fem group grid grid 11972,11973,13092,13093,5182,5183,6302,6303,7422,7423,8542,8543 as gp1
fem group grid grid 9662,9663,10782,10783,11902,11903,13022,13023,5112,5113,6232,6233 as gp2
fem group grid grid 7352,7353,8472,8473,9592,9593,10712,10713,11832,11833,12952,12953 as gp3
fem group grid grid 5042,5043,6162,6163,7282,7283,8402,8403,9522,9523,10642,10643 as gp4
fem group grid grid 11762,11763,12882,12883,4972,4973,6092,6093,7212,7213,8332,8333 as gp5
fem group grid grid 9452,9453,10572,10573,11692,11693,12812,12813,4902,4903,6022,6023 as gp6
fem group grid grid 7142,7143,8262,8263,9382,9383,10502,10503,11622,11623,12742,12743 as gp7
fem group grid grid 4832,4833,5952,5953,7072,7073,8192,8193,9312,9313,10432,10433 as gp8
fem group grid grid 11552,11553,12672,12673,4762,4763,5882,5883,7002,7003,8122,8123 as gp9
fem group grid grid 9242,9243,10362,10363,11482,11483,12602,12603 as gp10

# group these grid points as stimulus site for initial activation
fem group grid grid gp0,gp1,gp2,gp3,gp4,gp5,gp6,gp7,gp8,gp9,gp10 as stimulus_site #70*16*16

set num_threads 32

fem define init;r;cube;example    #current=0.5(mA/mm^3)  duration=1(ms)
fem define solv;r;cube;example    #Use DTAR (Dynamic Tracking of Active Region)
fem solve to 0

#cmgui output
fem export node;3dcube as cube reg 1
fem export elem;3dcube as cube reg 1

# loop through time from 0 to PN.M msec (19.9msec)

# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command: DO P=0..1
for $P ( 0..1 ) 
{


# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command: DO N=0..9
for $N ( 0..9 ) 
{


# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command:   DO M=0..9
for $M ( 0..9 ) 
{


# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command:     fem solve restart to PN//.M 
fem solve restart to "PN.M"


# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command:     fem export elem;gridfield_1//$P//$N//M field
fem export elem;gridfield_1${P}${N}M field


# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command:   ENDDO
}


# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command: ENDDO
}


# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command: ENDDO
}


# Command updated by fixcom.sh on Wed Aug 23 17:50:12 NZT 2000
# Old command: deassign M
 




#See draw.com to view results
