gfx cre axes length 2
gfx draw axes


gfx create material tissue ambient 0.9 0.7 0.5 diffuse 0.9 0.7 0.5 emission 0 0 0 specular 0.39 0.43 0.38 alpha 0.48 shininess 0.48;


###############
#Read in host
gfx read nodes zero_host_one
gfx read elem zero_host_one
gfx read nodes zero_host_two
gfx read elem zero_host_two

#Commands for reproducing group host_one on scene default:
gfx modify g_element host_one general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none;
gfx modify g_element host_one lines select_on material blue selected_material default_selected;
gfx modify g_element host_one surfaces select_on material tissue selected_material default_selected render_shaded;
#Commands for reproducing group host_two on scene default:
gfx modify g_element host_two general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none;
gfx modify g_element host_two lines select_on material red selected_material default_selected;
gfx modify g_element host_two surfaces select_on material tissue selected_material default_selected render_shaded;

###############
#Read in slave
gfx read nodes zero_one
gfx read elem zero_one
gfx read nodes zero_two
gfx read elem zero_two

#Commands for reproducing group host_one on scene default:
gfx modify g_element one general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none;
gfx modify g_element one lines select_on material blue selected_material default_selected;
gfx modify g_element one surfaces select_on material blue selected_material default_selected render_shaded;
#Commands for reproducing group host_two on scene default:
gfx modify g_element two general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none;
gfx modify g_element two lines select_on material red selected_material default_selected;
gfx modify g_element two surfaces select_on material red selected_material default_selected render_shaded;


gfx create window 1 double_buffer;
gfx modify window 1 image scene default light_model default;
gfx modify window 1 image add_light default;
gfx modify window 1 layout 2d ortho_axes y z eye_spacing 0.25 width 400 height 400;
gfx modify window 1 set current_pane 1;
gfx modify window 1 background colour 1 1 1 texture none;
gfx modify window 1 view parallel eye_point 1.25 6.35916 0.5 interest_point 1.25 0.5 0.5 up_vector -0 -0 -1 view_angle 41.112 near_clipping_plane 0.0585916 far_clipping_plane 20.9386 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;
gfx modify window 1 overlay scene none;
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency blend_normal;
