fem def para;r;bladder_minimal
fem def coor;r;3D_cartesian
fem def bases;r;blad_ref_herm
FEM def ;add bases;r;extra_faces
FEM def ;add bases;r;aux_pressure	# The pressure basis function needs to be an
					# order lower than the geometric basis function.
					# For tricubic geometry the pressure has a linear
					# interpolation. 
fem def node;r;blad_inflate
fem def elem;r;blad_inflate
fem def fibr;r;blad_inflate
fem def elem;r;blad_inflate fibre
				# Up to here has been commented on
				# in previous examples

				# Create some node and element groups 
				# to use in the material and initial 
				# files.
fem group node 23,34,49..60,63..64,135,146,161..174,442..453,456..457,460,461 as neck
fem group node 1,17,37..39,41,43..46,71..80,113,129,149..151,153 as ureters1
fem group node 155..158,175..184,201,217,237..239,241,243..246,318,329,349..351,353,355..358 as ureters2
fem group node 412..415,455,422,423,426,427,459 as ureters3
fem group node ureters1,ureters2,ureters3 as ureters
fem group node 18..22,130..134,400..401,406,409,425 as mid_bladder
fem group node 2..13,40,42,47..48,114..125,152,154,159..160,428..441,454,458 as lower_bladder
fem group node 14..16,24..25,416..419,421,126..128,136..137 as trigone
fem group node 26..31,36,404,405,408,410,411,420,424,138..143,148 as close_to_ureters
fem group node neck,ureters,lower_bladder,trigone,close_to_ureters as nodes_to_fix
fem group elem 87..92,101..102 as upper_anterior_inner
fem group elem 1..6,15,16 as upper_anterior_outer
fem group node 18..22,130..134,400..401,406,409,425 as mid_bladder
fem group node 2..13,40,42,47..48,114..125,152,154,159..160,428..441,454,458 as lower_bladder
fem group node neck,ureters,lower_bladder,trigone as nodes_to_fix 
# (removed close_to_ureter nodes from nodes_to_fix)
fem group elem 1..18,22..23,25..28 as most_outer
fem group elem 87..104,108..109,111..114 as most_inner
#fem group elem 87..92,101..102 as upper_anterior_inner
#fem group elem 1..6,15,16 as upper_anterior_outer
#fem group elem 87..104 as upper_inner
#fem group elem 1..18 as upper_outer
#fem group elem 87..136 as inner_elements
#fem group elem 1..50 as outer_elements
fem def equa;r;blad_ref_herm # Define finite 
fem def mate;r;blad_ref_herm 	# Define body coordinates, Green strain
			    	# energy fuunction, fibre and transverse
				# strains, Pole zero law.
				# Set the default parameters for the 
				# zero law.
fem def init;r;blad_inflate     # Fix the node and the derivatives for
				# the node just above the apex and the
				# nodes of the ureters and the nodes of
				# the trigone and behind.

				# Apply the pressure to the unfixed elements
				that have unfixed nodes.
				
fem def solv;r;blad_ref_herm    # Default solve conditions except for
				# Intermediate solution information and 
				# Generalised minimum residual solution 
				# procedure.
fem ex node;blad_inflate as undeformed
fem ex elem;blad_inflate as undeformed
#read com;blad_solve_inflate    # Check out this file for the solution 
				# procedure. Requires the hpc to solve.