gfx create material black_skin ambient 0.4 0.1 0.1 diffuse 0.4 0.2 0.1 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.2
gfx create material copper ambient 1 0.2 0 diffuse 0.6 0.3 0 emission 0 0 0 specular 0.7 0.7 0.5 alpha 1 shininess 0.3
gfx create material dblue ambient 1 1 1 diffuse 0 0.1 1 emission 0 0 0 specular 0.4 0.4 0.5 alpha 1 shininess 0.5
gfx create material default_selected ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material gold ambient 1 0.4 0 diffuse 1 0.7 0 emission 0 0 0 specular 0.5 0.5 0.5 alpha 1 shininess 0.8
gfx create material green ambient 0 1 0 diffuse 0 1 0 emission 0 0 0 specular 0 0 0 alpha 0.9 shininess 0
gfx create material musc ambient 0 0 0.1 diffuse 1 0 0.03 emission 0 0 0 specular 0.3 0.3 0.3 alpha 1 shininess 0.3
gfx create material red ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.8 0.4 0.4 alpha 0.9 shininess 1
gfx create material silver ambient 0.4 0.4 0.4 diffuse 0.7 0.7 0.7 emission 0 0 0 specular 0.7 0.7 0.7 alpha 1 shininess 0.6
gfx create material skel ambient 0 0 0 diffuse 1 0.3 0.23 emission 0 0 0 specular 0.3 0.3 0.3 alpha 1 shininess 0.3
gfx create material skin ambient 1 0.2 0 diffuse 0.8 0.7 0.45 emission 0 0 0 specular 0.4 0.2 0.2 alpha 1 shininess 0.2

gfx re no andre/final
gfx re el andre/final



gfx set vis final off


gfx cre egroup rv1 add 60022..60027,60036,60045..60050,60055..60056,60081
gfx cre egroup rv2 add 60014..60021,60032..60034,60037,60043,60051..60052
gfx cre  egroup rv3 add 60048..60050

gfx modify g_element rv1 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element rv1 lines face xi3_0 select_on material default selected_material default_selected
gfx modify g_element rv1 surfaces face xi3_0 select_on material silver selected_material default_selected render_shaded
gfx modify g_element rv1 element_points glyph diamond general size "1*1*1" centre 0,0,0 use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on invisible material default selected_material default_selected


gfx modify g_element rv2 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element rv2 lines face xi3_1 select_on material default selected_material default_selected
gfx modify g_element rv2 surfaces face xi3_1 select_on material silver selected_material default_selected render_shaded
gfx modify g_element rv2 element_points glyph diamond general size "1*1*1" centre 0,0,0 use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on invisible material default selected_material default_selected


gfx modify g_element rv3 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element rv3 lines face xi2_1 select_on material default selected_material default_selected
gfx modify g_element rv3 surfaces face xi2_1 select_on material silver selected_material default_selected render_shaded




gfx read data rv_data
gfx modify g_element rv_data general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element rv_data lines select_on invisible material default selected_material default_selected
gfx modify g_element rv_data data_points glyph cross general size "1*1*1" centre 0,0,0 select_on material dblue selected_material default_selected
gfx modify g_element rv_data data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material red selected_material default_selected



gfx cre egroup epi1 add 60001..60013,60022..60031,60035..60036,60038..60042,60044..60050,60055..60058,60060,60063..60064,60070..60081,60085
gfx cre egroup epi2 add 60082..60084,60086..60088

gfx modify g_element epi1 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element epi1 lines face xi3_1 select_on material default selected_material default_selected
gfx modify g_element epi1 surfaces face xi3_1 select_on material silver selected_material default_selected render_shaded
gfx modify g_element epi1 element_points glyph diamond general size "1*1*1" centre 0,0,0 use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on invisible material default selected_material default_selected



gfx modify g_element epi2 general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "8*8*8" native_discretization none
gfx modify g_element epi2 lines face xi2_1 select_on material default selected_material default_selected
gfx modify g_element epi2 surfaces face xi2_1 select_on material silver selected_material default_selected render_shaded
gfx modify g_element epi2 element_points glyph diamond general size "1*1*1" centre 0,0,0 use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on invisible material default selected_material default_selected



gfx read data epi_data
gfx modify g_element epi_data general clear circle_discretization 6 default_coordinate default_coordinate element_discretization "4*4*4" native_discretization none
gfx modify g_element epi_data lines select_on invisible material default selected_material default_selected
gfx modify g_element epi_data data_points glyph cross general size "1*1*1" centre 0,0,0 select_on material dblue selected_material default_selected
gfx modify g_element epi_data data_points glyph line general size "0*0*0" centre 0,0,0 orientation error scale_factors "1*1*1" select_on material red selected_material default_selected




gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes -y z eye_spacing 0.25 width 563 height 560
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 1 1 1 texture none
gfx modify window 1 view parallel eye_point -169.425 -12.878 78.9069 interest_point 0.115783 -0.92196 64.4958 up_vector -0.0797162 -0.0682742 -0.994477 view_angle 32.9076 near_clipping_plane 1.70572 far_clipping_plane 609.567 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency


#gfx modify window 1 set antialias 8 
#gfx modify window 1 set no_antialias 
gfx set line_width 2 
#gfx print window 1 width 2048 height 2048 rgb file lv_fit1.rgb 
#quit




#transmural lines
#60001,60003,60009,60036..60037,60042,60051..60052,60057,60066,60075,60080,60086,
#60089,60091,60119,60128,60133,60138,60142,60145,60151,60156,60159,60165,60170,
#60173,60179,60184,60187,60192,60197,60202,60207,60212,60217,60225,60233,60241,
#60249,60254,60260,60263,60271,60276,60307..60308,60311,60313,60321,60323,60328,
#60331,60339,60341,60345,60352,60356,60381,60384,60386..60388,60391,60394,60397,
#60400,60403,60414..60418




gfx cre egroup lv1 add 60004..60021,60028..60035,60037,60039..60043,60051..60054,60057,60059,60061..60062,60065..60069,60082..60084,60086..60088
gfx cre egroup lv2 add 60004,60009,60041,60057